#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
#-----------------------------------------------------------
# Application :    Noethys, gestion multi-activits
# Site internet :  www.noethys.com
# Auteur:           Ivan LUCAS
# Copyright:       (c), 2010-12 Ivan LUCAS
# Licence:         Licence GNU GPL
#-----------------------------------------------------------



LISTE_BIC = [
    (u"3 SUISSES INTERNATIONAL", u"CROIX", u"TSIGFR22"),
    (u"ABC INTERNATIONAL BANK PARIS BRANCH", u"PARIS", u"ABCOFRPP"),
    (u"ABE CLEARING SAS/EBA CLEARING", u"PARIS", u"EBAPFRPPCOL"),
    (u"ABE CLEARING SAS/EBA CLEARING", u"PARIS", u"EBAPFRPPPSA"),
    (u"ABE CLEARING SAS/EBA CLEARING", u"PARIS", u"EBAPFRPP"),
    (u"ABE CLEARING SAS/EBA CLEARING (SYSTEM OPERATOR),", u"PARIS", u"EBAPFRPS"),
    (u"ACCENTURE INSURANCE SERVICES", u"MAISONS LAFFITTE", u"ACIVFRPP"),
    (u"ADISSEO FRANCE", u"ANTONY", u"ADSSFR22"),
    (u"AGENCE FRANCAISE DE DEVELOPPEMENT", u"PARIS", u"AGFDFRPA"),
    (u"AGF ASSET MANAGEMENT", u"PARIS", u"AGFMFRPPPVS"),
    (u"AGF ASSET MANAGEMENT", u"PARIS", u"AGFMFRPP"),
    (u"AIR LIQUIDE SA", u"PARIS", u"RLIQFRPP"),
    (u"AIRBUS SAS", u"BLAGNAC", u"AIRBFR22"),
    (u"AL KHALIJI FRANCE S.A.", u"PARIS", u"LICOFRPP"),
    (u"ALCATEL-LUCENT", u"COLOMBES", u"ATELFRPP"),
    (u"ALDES AERAULIQUE", u"VENISSIEUX", u"ALDEFR2V"),
    (u"ALLIANZ BANQUE S.A. (FORMER BANQUE AGF S.A.),", u"PARIS", u"AGFBFRCC"),
    (u"ALLIANZ BANQUE S.A. (FORMER BANQUE AGF S.A.),", u"PARIS", u"AGFBFRPP"),
    (u"ALSTOM HOLDINGS", u"LEVALLOIS PERRET", u"ALHOFRPP"),
    (u"ALSYON TECHNOLOGIES", u"LE VESINET", u"ALSYFRPP"),
    (u"AMUNDI ASSET MANAGEMENT", u"PARIS", u"AGRIFRPI"),
    (u"APERAM TREASURY SNC", u"SAINT DENIS", u"APAMFRPP"),
    (u"APICIL GESTION", u"CALUIRE ET CUIRE", u"APIGFR22"),
    (u"APTAR GROUP SAS", u"SAINT GERMAIN EN LAYE", u"APTAFRPP"),
    (u"APTARGROUP HOLDING SAS", u"LOUVECIENNES", u"APTGFR22"),
    (u"ARCELORMITTAL TREASURY SNC", u"SAINT DENIS", u"USINFRPP"),
    (u"AREVA SA", u"PARIS", u"AREVFRPP"),
    (u"ARIANESPACE S.A", u"EVRY", u"ARNNFR22"),
    (u"ART ET TECHNIQUES DU PROGRES", u"ORLEANS", u"GRSRFR22"),
    (u"ASSYSTEM", u"PARIS", u"ASSYFRPP"),
    (u"ATTIJARIWAFA BANK EUROPE-PARIS", u"PARIS", u"BCMAFRPP"),
    (u"AUREL BGC", u"PARIS", u"AULSFRP2"),
    (u"AXA BANQUE SA", u"FONTENAY SOUS BOIS", u"AXABFRPP"),
    (u"AXA BANQUE SA", u"PARIS", u"AXABFRPPTG2"),
    (u"AXA FRANCE VIE", u"NANTERRE", u"AXAFFRPA"),
    (u"BAI SA", u"ROSCOFF", u"BAIIFR22"),
    (u"BANCA CARIGE SPA", u"NICE", u"CRGEFR2X"),
    (u"BANCA REGIONALE EUROPEA S.P.A.", u"NICE", u"BREUFR22"),
    (u"BANCO BILBAO VIZCAYA ARGENTARIA", u"PARIS", u"BBVAFRPPBDF"),
    (u"BANCO BILBAO VIZCAYA ARGENTARIA", u"PARIS", u"BBVAFRPP"),
    (u"BANCO BPI, PARIS", u"PARIS", u"BBPIFRPP"),
    (u"BANCO DE SABADELL", u"PARIS", u"BSABFRPP"),
    (u"BANCO DO BRASIL S.A.", u"PARIS", u"BRASFRPP"),
    (u"BANCO SANTANDER S.A.", u"PARIS", u"BSCHFRPP"),
    (u"BANCO SANTANDER S.A.", u"PARIS", u"BSCHFRPPBF1"),
    (u"BANK AUDI SARADAR FRANCE", u"PARIS", u"AUDIFRPP"),
    (u"BANK OF AMERICA, N.A. PARIS", u"PARIS", u"BOFAFRPP"),
    (u"BANK OF CHINA, PARIS BRANCH", u"PARIS", u"BKCHFRPP013"),
    (u"BANK OF CHINA, PARIS BRANCH", u"PARIS", u"BKCHFRPP"),
    (u"BANK OF INDIA", u"PARIS", u"BKIDFRPP"),
    (u"BANK OF TOKYO-MITSUBISHI UFJ, LTD., THE", u"PARIS", u"BOTKFRCC"),
    (u"BANK OF TOKYO-MITSUBISHI UFJ, LTD., THE", u"PARIS", u"BOTKFRPX"),
    (u"BANQUE ACCORD", u"LA MADELEINE", u"BACCFR22"),
    (u"BANQUE BCP", u"PARIS", u"BPSMFRPP"),
    (u"BANQUE BIA", u"PARIS", u"BIARFRPP"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPCBP"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPOTC"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPMMO"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPSBL"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPASI"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPTG2"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPUSC"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPCLI"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPDEF"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPP"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPAMS"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPDVP"),
    (u"BANQUE CENTRALE DE COMPENSATION - LCH.CLEARNET SA", u"PARIS", u"BACPFRPPTRE"),
    (u"BANQUE CHAABI DU MAROC", u"PARIS", u"BCDMFRPP"),
    (u"BANQUE CHAIX", u"AVIGNON", u"CCBPFRPPCHX"),
    (u"BANQUE COURTOIS S.A.", u"TOULOUSE", u"COURFR2T"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2T3GX"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2T228"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TALT"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TCP1"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TCC1"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2T4CB"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TFAC"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TPIV"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TBDF"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TIAM"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TCAI"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TSEE"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TSCC"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TTIT"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TTRY"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TCGN"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TTCH"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TPOL"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFRPPCCT"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TECF"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TECR"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TEBE"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TENL"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TTRA"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TDSE"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TSFP"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TFPR"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFRPPSRD"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TGCO"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TGDP"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TIDD"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TIND"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFRPPTEC"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TOPC"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TERM"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TNUM"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TCCB"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2LCCB"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TPOM"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TICM"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TTEM"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TCDT"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TSRD"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TSPM"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TDMC"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TSAI"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TSPE"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFRPPTIT"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFRPPCMI"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TETC"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TPUB"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2T"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TTCI"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFR2TTSB"),
    (u"BANQUE DE FRANCE", u"PARIS", u"BDFEFRPP"),
    (u"BANQUE DE L'EUROPE MERIDIONALE SA", u"PARIS", u"BEMOFRPP"),
    (u"BANQUE DE REALISATIONS DE GESTION ET DE FINANCEMENT", u"CLICHY", u"RGFIFRPP"),
    (u"BANQUE DE REALISATIONS DE GESTION ET DE FINANCEMENT", u"PARIS", u"RGFIFRPPTGT"),
    (u"BANQUE DE SAVOIE S.A.", u"CHAMBERY", u"BSAVFR2C"),
    (u"BANQUE DELUBAC ET CIE", u"LE CHEYLARD", u"DELUFR22LCH"),
    (u"BANQUE DELUBAC ET CIE", u"LE CHEYLARD", u"DELUFR22"),
    (u"BANQUE D'ESCOMPTE", u"PARIS", u"ESCBFRPPBDF"),
    (u"BANQUE D'ESCOMPTE", u"PARIS", u"ESCBFRPP"),
    (u"BANQUE D'ORSAY", u"PARIS", u"BQORFRPP"),
    (u"BANQUE DUPUY, DE PARSEVAL", u"SETE", u"BDUPFR2S"),
    (u"BANQUE ESPIRITO SANTO ET DE LA VENETIE", u"PARIS", u"BESVFRPP"),
    (u"BANQUE ESPIRITO SANTO ET DE LA VENETIE", u"PARIS", u"BESVFRPPYBF"),
    (u"BANQUE FEDERALE DES BANQUES POPULAIRES (BANQUES POPULAIRES REGIONALES),", u"PARIS", u"CCBPFRPPINS"),
    (u"BANQUE FRANCAISE COMMERCIALE DE L'OCEAN INDIEN", u"PARIS", u"BFCOFRPP"),
    (u"BANQUE INTERNATIONALE DE COMMERCE-BRED", u"PARIS", u"BICFFRPP"),
    (u"BANQUE LAYDERNIER", u"ANNECY", u"LAYDFR2W"),
    (u"BANQUE MARTIN-MAUREL", u"MARSEILLE", u"BMMMFRCP"),
    (u"BANQUE MARTIN-MAUREL", u"MARSEILLE", u"BMMMFR2A"),
    (u"BANQUE MICHEL INCHAUSPE - BAMI", u"BORDEAUX", u"BAMYFR22BDX"),
    (u"BANQUE MICHEL INCHAUSPE - BAMI", u"SAINT JEAN PIED DE PORT", u"BAMYFR22"),
    (u"BANQUE MISR - SUCCURSALE DE PARIS", u"PARIS", u"BMISFRPP"),
    (u"BANQUE NEUFLIZE OBC", u"PARIS", u"NSMBFRPP"),
    (u"BANQUE PALATINE", u"FONTENAY SOUS BOIS", u"BSPFFRPP"),
    (u"BANQUE PELLETIER", u"DAX", u"BPELFR2Y"),
    (u"BANQUE POP CENTRE ATLANTIQUE", u"NIORT", u"CCBPFRPPNIO"),
    (u"BANQUE POPULAIRE AQUITAINE CENTRE ATLANTIQUE", u"BORDEAUX", u"CCBPFRPPBDX"),
    (u"BANQUE POPULAIRE ATLANTIQUE", u"NANTES", u"CCBPFRPPNAN"),
    (u"BANQUE POPULAIRE BOURGOGNE FRANCHE COMTE", u"DIJON", u"CCBPFRPPDJN"),
    (u"BANQUE POPULAIRE COTE D'AZUR", u"NICE", u"CCBPFRPPNCE"),
    (u"BANQUE POPULAIRE D'ALSACE", u"STRASBOURG", u"CCBPFRPPSTR"),
    (u"BANQUE POPULAIRE DE L'OUEST", u"RENNES", u"CCBPFRPPREN"),
    (u"BANQUE POPULAIRE DES ALPES", u"CORENC", u"CCBPFRPPGRE"),
    (u"BANQUE POPULAIRE DU MASSIF CENTRAL", u"CLERMONT FERRAND", u"CCBPFRPPCFD"),
    (u"BANQUE POPULAIRE DU NORD", u"MARCQ EN BAROEUL", u"CCBPFRPPLIL"),
    (u"BANQUE POPULAIRE DU SUD", u"PERPIGNAN", u"CCBPFRPPPPG"),
    (u"BANQUE POPULAIRE LOIRE ET LYONNAIS", u"LYON", u"CCBPFRPPLYO"),
    (u"BANQUE POPULAIRE LORRAINE CHAMPAGNE", u"METZ", u"CCBPFRPPMTZ"),
    (u"BANQUE POPULAIRE OCCITANE", u"BALMA", u"CCBPFRPPTLS"),
    (u"BANQUE POPULAIRE PROVENCALE ET CORSE", u"MARSEILLE", u"CCBPFRPPMAR"),
    (u"BANQUE POPULAIRE RIVES DE PARIS", u"PARIS", u"CCBPFRPPMTG"),
    (u"BANQUE POPULAIRE VAL DE FRANCE", u"MONTIGNY LE BRETONNEUX", u"CCBPFRPPVER"),
    (u"BANQUE PSA FINANCE SA", u"PARIS", u"PSABFRPP"),
    (u"BANQUE REVILLON", u"PARIS", u"REVIFRPP"),
    (u"BANQUE RHONE ALPES", u"GRENOBLE", u"RALPFR2G"),
    (u"BANQUE SBA", u"PARIS", u"SBAAFRPP"),
    (u"BANQUE TARNEAUD", u"LIMOGES", u"TARNFR2L"),
    (u"BANQUE THEMIS", u"PARIS", u"BDEIFRPP"),
    (u"BANQUE TRAVELEX SA", u"BOULOGNE BILLANCOURT", u"TRAVFRPP"),
    (u"BANQUES POPULAIRES-GROUPE BPCE", u"PARIS", u"CCBPFRPP"),
    (u"BARCLAYS BANK PLC FRANCE", u"PARIS", u"BARCFRPP159"),
    (u"BARCLAYS BANK PLC FRANCE", u"PARIS", u"BARCFRPP271"),
    (u"BARCLAYS BANK PLC FRANCE", u"PARIS", u"BARCFRPP"),
    (u"BARCLAYS BANK PLC FRANCE", u"PARIS", u"BARCFRPPRSP"),
    (u"BENETEAU", u"SAINT GILLES CROIX DE VIE", u"BNTOFR2S"),
    (u"BGFI INTERNATIONAL", u"PARIS", u"BGFIFRPP"),
    (u"BIOMERIEUX", u"MARCY L'ETOILE", u"BIOMFR22"),
    (u"BLOM BANK FRANCE", u"PARIS", u"BLOMFRPP"),
    (u"BM SOFTWARE", u"NICE", u"BMSOFR22"),
    (u"BM SOFTWARE", u"NICE", u"BMSOFR23"),
    (u"BMCE BANK INTERNATIONAL PLC SUCCURSALE EN FRANCE", u"PARIS", u"BMCEFRPP"),
    (u"BNP PARIBAS (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPH"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPAGY"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPMOR"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPOTC"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPPRE"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPOST"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPLON"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPFND"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPTRE"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPPUSA"),
    (u"BNP PARIBAS ARBITRAGE", u"PARIS", u"BNABFRPP"),
    (u"BNP PARIBAS ASSET MANAGEMENT", u"PARIS", u"PARBFRPM"),
    (u"BNP PARIBAS EQUITIES FRANCE", u"PARIS", u"DBZEFRPPACC"),
    (u"BNP PARIBAS EQUITIES FRANCE", u"PARIS", u"DBZEFRPPSET"),
    (u"BNP PARIBAS EQUITIES FRANCE", u"PARIS", u"DBZEFRPP"),
    (u"BNP PARIBAS EQUITIES FRANCE", u"PARIS", u"DBZEFRPPCRI"),
    (u"BNP PARIBAS FINAMS", u"PARIS", u"FAMSFRPP"),
    (u"BNP PARIBAS FUND SERVICES SAS", u"PARIS", u"BPASFRPP"),
    (u"BNP PARIBAS SA (FORMELY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPBRO"),
    (u"BNP PARIBAS SECURITIES SERVICES", u"PARIS", u"PARBFRPH"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPNMJ"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPUFO"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPFSF"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPCHE"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP344"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP352"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPBOA"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPFHO"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPGIN"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPRBS"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP030"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP060"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP074"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPESY"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPGCM"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPFTT"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPPFS"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPFOH"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP546"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPGCS"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPIPB"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPLOF"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPFDI"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPJBF"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPPIC"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPNBB"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPINV"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPSLB"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPSLA"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP3PM"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPPTC"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPP"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPAXA"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPBEC"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPBEX"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPCDC"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPFDA"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPGOS"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPISI"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPNLC"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPNLX"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPNMC"),
    (u"BNP PARIBAS SECURITIES SERVICES, FRANCE", u"PARIS", u"PARBFRPPNMP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"AGEN", u"BNPAFRPPAGN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"AIX EN PROVENCE", u"BNPAFRPPAIP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ALBI", u"BNPAFRPPALB"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"AMIENS", u"BNPAFRPPAMS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ANGERS", u"BNPAFRPPAGS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ANNECY", u"BNPAFRPPANC"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ARRAS", u"BNPAFRPPARR"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"AUXERRE", u"BNPAFRPPAUX"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"AVIGNON", u"BNPAFRPPAVI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BAYONNE", u"BNPAFRPPBAY"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BEAUVAIS", u"BNPAFRPPBVS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BESANCON", u"BNPAFRPPBSC"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BORDEAUX", u"BNPAFRPPBOR"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BORDEAUX", u"BNPAFRPPBOT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BORDEAUX", u"BNPAFRPPSAE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BREST", u"BNPAFRPPBRE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"BRIVE LA GAILLARDE", u"BNPAFRPPBRV"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CAEN", u"BNPAFRPPCAE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CANNES", u"BNPAFRPPCAN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CERGY PONTOISE", u"BNPAFRPPCER"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CHALON SUR SAONE", u"BNPAFRPPCHL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CHARTRES", u"BNPAFRPPCHS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CLERMONT FERRAND", u"BNPAFRPPCLF"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CREIL", u"BNPAFRPPCRE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"CRETEIL", u"BNPAFRPPCRT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"DIJON", u"BNPAFRPPBGE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"DIJON", u"BNPAFRPPDIJ"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"DINAN", u"BNPAFRPPDIN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"DUNKERQUE", u"BNPAFRPPDUN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ENGHIEN LES BAINS", u"BNPAFRPPENG"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"EPINAL", u"BNPAFRPPEPL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"EVRY", u"BNPAFRPPEVY"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"GAP", u"BNPAFRPPGAP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"GENNEVILLIERS", u"BNPAFRPPGNV"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"GRENOBLE", u"BNPAFRPPAAE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"GRENOBLE", u"BNPAFRPPGRE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"IVRY-SUR-SEINE", u"BNPAFRPPIVR"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LA ROCHELLE", u"BNPAFRPPROC"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LE HAVRE", u"BNPAFRPPHAV"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LE MANS", u"BNPAFRPPMAN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LILLE", u"BNPAFRPPNFE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LILLE", u"BNPAFRPPLIL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LOGNES", u"BNPAFRPPLMV"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LORIENT", u"BNPAFRPPLOR"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LYON", u"BNPAFRPPVBE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LYON", u"BNPAFRPPLPD"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"LYON", u"BNPAFRPPTAS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MANTES LA JOLIE", u"BNPAFRPPMNT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MARSEILLE", u"BNPAFRPPMED"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MARSEILLE", u"BNPAFRPPMEE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MARSEILLE", u"BNPAFRPPMAR"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MASSY", u"BNPAFRPPMAS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MELUN", u"BNPAFRPPMEL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"METZ", u"BNPAFRPPMTZ"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MONTPELLIER", u"BNPAFRPPMPL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"MULHOUSE", u"BNPAFRPPMUL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"NANCY", u"BNPAFRPPCNA"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"NANCY", u"BNPAFRPPNCY"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"NANTES", u"BNPAFRPPVLE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"NANTES", u"BNPAFRPPNAN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"NEUILLY SUR SEINE", u"BNPAFRPPNEU"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"NICE", u"BNPAFRPPNIC"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"NIMES", u"BNPAFRPPNIM"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ORLEANS", u"BNPAFRPPORE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ORLEANS", u"BNPAFRPPORL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPANI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPPP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPAA"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPBQ"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCHQ"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPAEA"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPBFI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPEMC"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPBY"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPP032"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPP038"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPP039"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPBU"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPIFS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCPI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCFD"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPCE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCDE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCIT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPSCE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPLZ"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPMPE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPACH"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCFI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCSP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPFND"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPGN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPAK"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPIFE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPIFN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPIFO"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPIBF"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPINT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPTX"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPLAE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPMDE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPXV"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPFXC"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPOP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPAC"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPVD"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPEE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPGA"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPRG"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPSU"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPKL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPTTN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPTE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPGB"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPTSZ"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCCS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPCTG"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPDEF"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPGAI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PARIS", u"BNPAFRPPPBP"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PAU", u"BNPAFRPPPAU"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"PERPIGNAN", u"BNPAFRPPPPG"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"POITIERS", u"BNPAFRPPPOI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"REIMS", u"BNPAFRPPCRM"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"REIMS", u"BNPAFRPPRMS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"RENNES", u"BNPAFRPPCRN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"RENNES", u"BNPAFRPPREN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ROANNE", u"BNPAFRPPROA"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ROISSY EN FRANCE", u"BNPAFRPPROI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ROUBAIX", u"BNPAFRPPRBX"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ROUEN", u"BNPAFRPPCRO"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"ROUEN", u"BNPAFRPPROU"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"SAINT DENIS", u"BNPAFRPPBGT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"SAINT ETIENNE", u"BNPAFRPPETI"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"SAINT GERMAIN EN LAYE", u"BNPAFRPPLAY"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"SAINT MANDE TOURELLE", u"BNPAFRPPMDT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"SAINT QUENTIN", u"BNPAFRPPQUE"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"SAINT QUENTIN EN YVELINES", u"BNPAFRPPSQY"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"STRASBOURG", u"BNPAFRPPCST"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"STRASBOURG", u"BNPAFRPPSTR"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"TOULON", u"BNPAFRPPTLN"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"TOULOUSE", u"BNPAFRPPCTO"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"TOULOUSE", u"BNPAFRPPTLS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"TOURS", u"BNPAFRPPTOU"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"TROYES", u"BNPAFRPPTRO"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"VAL DE SEINE", u"BNPAFRPPBBT"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"VALENCE", u"BNPAFRPPVAL"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"VALENCIENNES", u"BNPAFRPPVCS"),
    (u"BNP-PARIBAS SA (FORMERLY BANQUE NATIONALE DE PARIS S.A.),", u"VERSAILLES", u"BNPAFRPPVRS"),
    (u"BOA-FRANCE", u"PARIS", u"AFRIFRPP"),
    (u"BOISSIERE FINANCE", u"RUEIL MALMAISON", u"SCHNFR22"),
    (u"BOLLORE SA", u"PUTEAUX", u"BOLLFR22"),
    (u"BONDUELLE S.A.", u"RENESCURE", u"BNDUFR22"),
    (u"BONNA SABLA SA", u"PARIS", u"BONAFRPP"),
    (u"BOURSE DIRECT SA", u"PARIS", u"BDIRFRPP"),
    (u"BOURSORAMA", u"BOULOGNE BILLANCOURT", u"BOUSFRPP"),
    (u"BOURSORAMA", u"BOULOGNE BILLANCOURT", u"BOUSFRPPBDF"),
    (u"BOUYGUES CONSTRUCTION", u"GUYANCOURT", u"BYCNFR22"),
    (u"BOUYGUES IMMOBILIER", u"ISSY LES MOULINEAUX", u"BYIMFR22"),
    (u"BOX AND AUTOMATION SOLUTION", u"PARIS", u"BOXXFRPP"),
    (u"BPCE", u"PARIS", u"BPCEFRPP"),
    (u"BPCE DEFI", u"PARIS", u"SDBFFRPP"),
    (u"BRED BANQUE POPULAIRE", u"PARIS", u"BREDFRPP"),
    (u"BRED BANQUE POPULAIRE", u"PARIS", u"BREDFRPPFDF"),
    (u"BRED BANQUE POPULAIRE", u"PARIS", u"BREDFRPPTRE"),
    (u"BRED BANQUE POPULAIRE", u"PARIS", u"BREDFRPP637"),
    (u"BRED BANQUE POPULAIRE", u"PARIS", u"BREDFRPP638"),
    (u"BRED BANQUE POPULAIRE", u"PARIS", u"BREDFRPPAXL"),
    (u"BRED BANQUE POPULAIRE", u"PARIS", u"BREDFRPPKUS"),
    (u"BRED GESTION", u"PARIS", u"BRGEFRPP"),
    (u"BULL", u"LES CLAYES SOUS BOIS", u"BUSAFRPP"),
    (u"BYBLOS BANK EUROPE S.A. (PARIS BRANCH),", u"PARIS", u"BYBBFRPP"),
    (u"CA INDOSUEZ PRIVATE BANKING", u"PARIS", u"SIBLFRPPOEM"),
    (u"CA INDOSUEZ PRIVATE BANKING", u"PARIS", u"SIBLFRPPOES"),
    (u"CA INDOSUEZ PRIVATE BANKING", u"PARIS", u"SIBLFRPPTRM"),
    (u"CA INDOSUEZ PRIVATE BANKING", u"PARIS", u"SIBLFRPPTRS"),
    (u"CA INDOSUEZ PRIVATE BANKING", u"PARIS", u"SIBLFRPPSCM"),
    (u"CA INDOSUEZ PRIVATE BANKING", u"PARIS", u"SIBLFRPPSCS"),
    (u"CA INDOSUEZ PRIVATE BANKING", u"PARIS", u"SIBLFRPP"),
    (u"CACEIS BANK FRANCE", u"PARIS", u"ISAEFRPPMID"),
    (u"CACEIS BANK FRANCE", u"PARIS", u"ISAEFRPP"),
    (u"CACEIS FUND ADMINISTRATION", u"PARIS", u"FNETFRPP"),
    (u"CACI - CREDIT AGRICOLE CREDITOR INSURANCE SA", u"PARIS", u"AGRJFRPP"),
    (u"CAISSE CENTRALE DU CREDIT IMMOBILIER DE FRANCE", u"PARIS", u"CCIFFRPP"),
    (u"CAISSE D'EPARGNE AQUITAINE POITOU CHARENTES", u"BORDEAUX", u"CEPAFRPP333"),
    (u"CAISSE D'EPARGNE AUVERGNE LIMOUSIN", u"CLERMONT FERRAND", u"CEPAFRPP871"),
    (u"CAISSE D'EPARGNE BRETAGNE PAYS DE LOIRE", u"NANTES", u"CEPAFRPP444"),
    (u"CAISSE D'EPARGNE COTE D'AZUR", u"NICE", u"CEPAFRPP831"),
    (u"CAISSE D'EPARGNE D'ALSACE", u"STRASBOURG", u"CEPAFRPP670"),
    (u"CAISSE D'EPARGNE DE BOURGOGNE FRANCHE-COMTE", u"DIJON", u"CEPAFRPP213"),
    (u"CAISSE D'EPARGNE DE BRETAGNE", u"CESSON SEVIGNE", u"CEPAFRPP222"),
    (u"CAISSE D'EPARGNE DE LOIRE DROME ARDECHE", u"SAINT ETIENNE", u"CEPAFRPP426"),
    (u"CAISSE D'EPARGNE DE LORRAINE CHAMPAGNE-ARDENNE", u"METZ", u"CEPAFRPP513"),
    (u"CAISSE D'EPARGNE DE MIDI PYRENEES", u"TOULOUSE", u"CEPAFRPP313"),
    (u"CAISSE D'EPARGNE DE PICARDIE", u"AMIENS", u"CEPAFRPP802"),
    (u"CAISSE D'EPARGNE DU LANGUEDOC ROUSSILLON", u"MONTPELLIER", u"CEPAFRPP348"),
    (u"CAISSE D'EPARGNE ILE DE FRANCE", u"PARIS", u"CEPAFRPP751"),
    (u"CAISSE D'EPARGNE LOIRE CENTRE", u"ORLEANS", u"CEPAFRPP450"),
    (u"CAISSE D'EPARGNE NORD FRANCE EUROPE", u"LILLE", u"CEPAFRPP627"),
    (u"CAISSE D'EPARGNE NORMANDIE", u"CAEN", u"CEPAFRPP142"),
    (u"CAISSE D'EPARGNE PROVENCE ALPES CORSE", u"MARSEILLE", u"CEPAFRPP131"),
    (u"CAISSE D'EPARGNE RHONE ALPES", u"LYON", u"CEPAFRPP382"),
    (u"CAISSE D'EPARGNE TRADE", u"PARIS", u"CEPAFRPPTRD"),
    (u"CAISSE DES DEPOTS ET CONSIGNATIONS", u"PARIS", u"CDCGFRPPCAC"),
    (u"CAISSE DES DEPOTS ET CONSIGNATIONS", u"PARIS", u"CDCGFRPPFRR"),
    (u"CAISSE DES DEPOTS ET CONSIGNATIONS", u"PARIS", u"CDCGFRPPOAC"),
    (u"CAISSE DES DEPOTS ET CONSIGNATIONS", u"PARIS", u"CDCGFRPPPAC"),
    (u"CAISSE DES DEPOTS ET CONSIGNATIONS", u"PARIS", u"CDCGFRPP"),
    (u"CAISSE FRANCAISE DE FINANCEMENT LOCAL", u"PARIS", u"DXMAFRPP"),
    (u"CAISSES D'EPARGNE-GROUPE BPCE", u"PARIS", u"CEPAFRPP"),
    (u"CAISSES D'EPARGNE-GROUPE BPCE", u"PARIS", u"CEPAFRPP950"),
    (u"CAIXA GERAL DE DEPOSITOS", u"PARIS", u"CGDIFRPP"),
    (u"CAMAIEU SA", u"ROUBAIX", u"CMAIFR22"),
    (u"CAP GEMINI SERVICE SAS", u"PARIS", u"CAPGFRPP"),
    (u"CARREFOUR BANQUE", u"EVRY", u"SOAPFR22"),
    (u"CASDEN-BANQUE POPULAIRE", u"NOISIEL", u"CCBPFRPPCAS"),
    (u"CAT COMPAGNIE D'AFFRETEMENT ET DE TRANSPORT", u"BOULOGNE BILLANCOURT", u"TCATFRPP"),
    (u"CBASE", u"FERQUES", u"CBSEFR22"),
    (u"CFAO", u"SEVRES", u"CFAFFR22"),
    (u"CHANEL", u"NEUILLY SUR SEINE", u"CHNLFR22"),
    (u"CHOLET DUPONT SA", u"PARIS", u"CHDUFRPP"),
    (u"CIB FINANCE", u"PARIS", u"CIBRFRPP"),
    (u"CITIBANK INTERNATIONAL PLC", u"PARIS", u"CITIFRPPSEC"),
    (u"CITIBANK INTERNATIONAL PLC", u"PARIS", u"CITIFRPP"),
    (u"CLF BANQUE", u"PARIS", u"CLBQFRCC"),
    (u"CLUB MEDITERRANEE", u"PARIS", u"CMEDFRPP"),
    (u"CM - CIC BANQUES", u"PARIS", u"CMCIFRPP"),
    (u"CM - CIC BANQUES", u"PARIS", u"CMCIFRPPCOR"),
    (u"CMA CGM", u"MARSEILLE", u"CMAGFR22"),
    (u"CNP ASSURANCES", u"PARIS", u"CNPAFRPP"),
    (u"COFACE", u"BOIS COLOMBES", u"COFAFR22"),
    (u"COFACREDIT", u"PARIS", u"COFEFR2P"),
    (u"COMMERZBANK AG", u"PARIS", u"COBAFRPX"),
    (u"COMMERZBANK AG", u"PARIS", u"COBAFRPXTPA"),
    (u"COMPAGNIE DE FINANCEMENT FONCIER", u"PARIS", u"CFFOFRPP"),
    (u"COMPAGNIE DE FINANCEMENT FONCIER", u"PARIS", u"CFFOFRPPSSS"),
    (u"COMPAGNIE DE SAINT-GOBAIN", u"COURBEVOIE", u"SGOBFRPP"),
    (u"COMPAGNIE DES ALPES", u"BOULOGNE BILLANCOURT", u"CDALFRPP"),
    (u"COMPAGNIE FINANCIERE EDMOND DE ROTHSCHILD BANQUE, LA", u"PARIS", u"COFIFRPP"),
    (u"COMPAGNIE FINANCIERE EDMOND DE ROTHSCHILD BANQUE, LA", u"PARIS", u"COFIFRPPRAM"),
    (u"COMPAGNIE FINANCIERE EDMOND DE ROTHSCHILD BANQUE, LA", u"PARIS", u"COFIFRPPRIM"),
    (u"COMPAGNIE FINANCIERE ET DE PARTICIPATIONS ROULLIER", u"SAINT MALO", u"ROULFR22"),
    (u"COMPAGNIE GENERALE DE LOCATION D'EQUIPEMENTS", u"MARCQ EN BAROEUL", u"CGLEFR2M"),
    (u"COMPAGNIE PLASTIC OMNIUM", u"LYON", u"POMNFR22"),
    (u"CORTAL CONSORS FRANCE", u"RUEIL MALMAISON", u"BCRTFRPP"),
    (u"COUNCIL OF EUROPE DEVELOPMENT BANK", u"PARIS", u"CEFPFRPP"),
    (u"CP OR DEVISES", u"PARIS", u"CPBIFRPP"),
    (u"CPI", u"CROISSY SUR SEINE", u"CPIIFRPP"),
    (u"CPR ASSET MANAGEMENT", u"PARIS", u"CPRMFRPP"),
    (u"CPRPSNCF", u"MARSEILLE", u"CPRPFR22"),
    (u"CRC MARIT MUT ATLANTIQUE", u"SAINT HERBLAIN", u"CCBPFRPP219"),
    (u"CRC MARIT MUTUEL DU LITTORAL SUD OUEST", u"LA ROCHELLE", u"CCBPFRPP169"),
    (u"CRCMM DE BRETAGNE NORMANDIE", u"QUIMPER", u"CCBPFRPP149"),
    (u"CREDIT AGRICOLE", u"ABBEVILLE", u"AGRIFRPPABV"),
    (u"CREDIT AGRICOLE", u"AGDE", u"AGRIFRPPAGD"),
    (u"CREDIT AGRICOLE", u"AGEN", u"AGRIFRPPAGN"),
    (u"CREDIT AGRICOLE", u"AIRE SUR L'ADOUR", u"AGRIFRPPAIR"),
    (u"CREDIT AGRICOLE", u"AIX EN PROVENCE", u"AGRIFRPPAIX"),
    (u"CREDIT AGRICOLE", u"AIX LES BAINS", u"AGRIFRPPAIB"),
    (u"CREDIT AGRICOLE", u"AJACCIO", u"AGRIFRPP820"),
    (u"CREDIT AGRICOLE", u"ALBERTVILLE", u"AGRIFRPPALB"),
    (u"CREDIT AGRICOLE", u"ALBI", u"AGRIFRPP812"),
    (u"CREDIT AGRICOLE", u"ALENCON", u"AGRIFRPPALN"),
    (u"CREDIT AGRICOLE", u"ALENCON", u"AGRIFRPPALO"),
    (u"CREDIT AGRICOLE", u"ALES", u"AGRIFRPPALE"),
    (u"CREDIT AGRICOLE", u"AMBERT", u"AGRIFRPPAMB"),
    (u"CREDIT AGRICOLE", u"AMIENS", u"AGRIFRPP887"),
    (u"CREDIT AGRICOLE", u"ANCENIS", u"AGRIFRPPANC"),
    (u"CREDIT AGRICOLE", u"ANGERS", u"AGRIFRPPAGS"),
    (u"CREDIT AGRICOLE", u"ANGOULEME", u"AGRIFRPPANG"),
    (u"CREDIT AGRICOLE", u"ANNECY", u"AGRIFRPPACY"),
    (u"CREDIT AGRICOLE", u"ANNECY LE VIEUX", u"AGRIFRPP881"),
    (u"CREDIT AGRICOLE", u"ANNEMASSE", u"AGRIFRPPANM"),
    (u"CREDIT AGRICOLE", u"ANNONAY", u"AGRIFRPPANN"),
    (u"CREDIT AGRICOLE", u"ANTIBES", u"AGRIFRPPANT"),
    (u"CREDIT AGRICOLE", u"APT", u"AGRIFRPPAPT"),
    (u"CREDIT AGRICOLE", u"ARCACHON", u"AGRIFRPPARC"),
    (u"CREDIT AGRICOLE", u"ARCUEIL", u"AGRIFRPPARU"),
    (u"CREDIT AGRICOLE", u"ARGENTAN", u"AGRIFRPPART"),
    (u"CREDIT AGRICOLE", u"ARGENTEUIL", u"AGRIFRPPARG"),
    (u"CREDIT AGRICOLE", u"ARLES", u"AGRIFRPP813"),
    (u"CREDIT AGRICOLE", u"ARMENTIERES", u"AGRIFRPPARM"),
    (u"CREDIT AGRICOLE", u"ARRAS", u"AGRIFRPPARR"),
    (u"CREDIT AGRICOLE", u"ASNIERES SUR SEINE", u"AGRIFRPPASN"),
    (u"CREDIT AGRICOLE", u"AUBAGNE", u"AGRIFRPPABG"),
    (u"CREDIT AGRICOLE", u"AUBENAS", u"AGRIFRPPAUE"),
    (u"CREDIT AGRICOLE", u"AUBERVILLIERS", u"AGRIFRPPAUB"),
    (u"CREDIT AGRICOLE", u"AUCAMVILLE", u"AGRIFRPPAUI"),
    (u"CREDIT AGRICOLE", u"AUCH", u"AGRIFRPPAUC"),
    (u"CREDIT AGRICOLE", u"AURILLAC", u"AGRIFRPPAUQ"),
    (u"CREDIT AGRICOLE", u"AURIOL", u"AGRIFRPPAUR"),
    (u"CREDIT AGRICOLE", u"AUTERIVE", u"AGRIFRPPAUT"),
    (u"CREDIT AGRICOLE", u"AUTUN", u"AGRIFRPPAUN"),
    (u"CREDIT AGRICOLE", u"AUXERRE", u"AGRIFRPPAUX"),
    (u"CREDIT AGRICOLE", u"AVIGNON", u"AGRIFRPPAVI"),
    (u"CREDIT AGRICOLE", u"AVORIAZ", u"AGRIFRPPAVO"),
    (u"CREDIT AGRICOLE", u"AVRANCHES", u"AGRIFRPPAVR"),
    (u"CREDIT AGRICOLE", u"BACCARAT", u"AGRIFRPPBAC"),
    (u"CREDIT AGRICOLE", u"BAGNERE DE LUCHON", u"AGRIFRPPBLN"),
    (u"CREDIT AGRICOLE", u"BAGNOLS SUR CEZE", u"AGRIFRPPBAG"),
    (u"CREDIT AGRICOLE", u"BANDOL", u"AGRIFRPPBAN"),
    (u"CREDIT AGRICOLE", u"BAR LE DUC", u"AGRIFRPPBAR"),
    (u"CREDIT AGRICOLE", u"BASTIA", u"AGRIFRPPBAS"),
    (u"CREDIT AGRICOLE", u"BAYEUX", u"AGRIFRPPBAX"),
    (u"CREDIT AGRICOLE", u"BAYONNE", u"AGRIFRPPBAY"),
    (u"CREDIT AGRICOLE", u"BAZAS", u"AGRIFRPPBAZ"),
    (u"CREDIT AGRICOLE", u"BEAUJEU", u"AGRIFRPPBEJ"),
    (u"CREDIT AGRICOLE", u"BEAUMES DE VENISE", u"AGRIFRPPBDV"),
    (u"CREDIT AGRICOLE", u"BEAUMONT SUR OISE", u"AGRIFRPPBSO"),
    (u"CREDIT AGRICOLE", u"BEAUNE", u"AGRIFRPPBEA"),
    (u"CREDIT AGRICOLE", u"BEAUVAIS", u"AGRIFRPPBEV"),
    (u"CREDIT AGRICOLE", u"BEDARIEUX", u"AGRIFRPPBED"),
    (u"CREDIT AGRICOLE", u"BELFORT", u"AGRIFRPPBLT"),
    (u"CREDIT AGRICOLE", u"BELLEGARDE SUR VALSERINE", u"AGRIFRPPBEL"),
    (u"CREDIT AGRICOLE", u"BELLEVILLE (RHONE),", u"AGRIFRPPBES"),
    (u"CREDIT AGRICOLE", u"BELLEVILLE (RHONE),", u"AGRIFRPPBER"),
    (u"CREDIT AGRICOLE", u"BERGERAC", u"AGRIFRPPBEG"),
    (u"CREDIT AGRICOLE", u"BERRE L'ETANG", u"AGRIFRPPBLG"),
    (u"CREDIT AGRICOLE", u"BESANCON", u"AGRIFRPP825"),
    (u"CREDIT AGRICOLE", u"BETHUNE", u"AGRIFRPPBET"),
    (u"CREDIT AGRICOLE", u"BEZIERS", u"AGRIFRPPBZR"),
    (u"CREDIT AGRICOLE", u"BIARRITZ", u"AGRIFRPPBIA"),
    (u"CREDIT AGRICOLE", u"BITCHE", u"AGRIFRPPBCE"),
    (u"CREDIT AGRICOLE", u"BLAGNAC", u"AGRIFRPPBLA"),
    (u"CREDIT AGRICOLE", u"BLAYE", u"AGRIFRPPBAE"),
    (u"CREDIT AGRICOLE", u"BLOIS", u"AGRIFRPPBLO"),
    (u"CREDIT AGRICOLE", u"BOBIGNY", u"AGRIFRPPBOB"),
    (u"CREDIT AGRICOLE", u"BOE", u"AGRIFRPPBOE"),
    (u"CREDIT AGRICOLE", u"BOIS GUILLAUME", u"AGRIFRPPBGU"),
    (u"CREDIT AGRICOLE", u"BOLLENE", u"AGRIFRPPBOL"),
    (u"CREDIT AGRICOLE", u"BONDUES", u"AGRIFRPPBOD"),
    (u"CREDIT AGRICOLE", u"BONDY", u"AGRIFRPPBON"),
    (u"CREDIT AGRICOLE", u"BORDEAUX", u"AGRIFRPP833"),
    (u"CREDIT AGRICOLE", u"BOULOGNE BILLANCOURT", u"AGRIFRPPBBT"),
    (u"CREDIT AGRICOLE", u"BOULOGNE SUR MER", u"AGRIFRPPBSM"),
    (u"CREDIT AGRICOLE", u"BOURG D'OISANS", u"AGRIFRPPBDO"),
    (u"CREDIT AGRICOLE", u"BOURG EN BRESSE", u"AGRIFRPPBEB"),
    (u"CREDIT AGRICOLE", u"BOURG LA REINE", u"AGRIFRPPBLR"),
    (u"CREDIT AGRICOLE", u"BOURG SUR GIRONDE", u"AGRIFRPPBGI"),
    (u"CREDIT AGRICOLE", u"BOURGES", u"AGRIFRPP848"),
    (u"CREDIT AGRICOLE", u"BOURGOIN JALLIEU", u"AGRIFRPPBJA"),
    (u"CREDIT AGRICOLE", u"BOURGOIN JALLIEU", u"AGRIFRPPBOJ"),
    (u"CREDIT AGRICOLE", u"BOUZONVILLE", u"AGRIFRPPBZV"),
    (u"CREDIT AGRICOLE", u"BRESSUIRE", u"AGRIFRPPBRE"),
    (u"CREDIT AGRICOLE", u"BREST", u"AGRIFRPPBST"),
    (u"CREDIT AGRICOLE", u"BRIANCON", u"AGRIFRPPBRN"),
    (u"CREDIT AGRICOLE", u"BRIE SENART", u"AGRIFRPPBRT"),
    (u"CREDIT AGRICOLE", u"BRIGNAIS", u"AGRIFRPPBRS"),
    (u"CREDIT AGRICOLE", u"BRIGNOLES", u"AGRIFRPPBRG"),
    (u"CREDIT AGRICOLE", u"BRIOUDE", u"AGRIFRPPBRI"),
    (u"CREDIT AGRICOLE", u"BRIVE LA GAILLARDE", u"AGRIFRPPBRV"),
    (u"CREDIT AGRICOLE", u"BRUNOY", u"AGRIFRPPBRY"),
    (u"CREDIT AGRICOLE", u"BRUNOY", u"AGRIFRPPBRU"),
    (u"CREDIT AGRICOLE", u"CABANNES", u"AGRIFRPPCAB"),
    (u"CREDIT AGRICOLE", u"CADILLAC", u"AGRIFRPPCAD"),
    (u"CREDIT AGRICOLE", u"CAEN", u"AGRIFRPP866"),
    (u"CREDIT AGRICOLE", u"CAGNES SUR MER", u"AGRIFRPPCAG"),
    (u"CREDIT AGRICOLE", u"CAHORS", u"AGRIFRPPCAH"),
    (u"CREDIT AGRICOLE", u"CALAIS", u"AGRIFRPPCAL"),
    (u"CREDIT AGRICOLE", u"CAMBRAI", u"AGRIFRPPCAM"),
    (u"CREDIT AGRICOLE", u"CANNES", u"AGRIFRPPCAN"),
    (u"CREDIT AGRICOLE", u"CARCASSONNE", u"AGRIFRPPCAR"),
    (u"CREDIT AGRICOLE", u"CARPENTRAS", u"AGRIFRPPCAT"),
    (u"CREDIT AGRICOLE", u"CARQUEFOU (NANTES),", u"AGRIFRPPCAQ"),
    (u"CREDIT AGRICOLE", u"CASSIS", u"AGRIFRPPCSI"),
    (u"CREDIT AGRICOLE", u"CASTELNAU DE MEDOC", u"AGRIFRPPCAC"),
    (u"CREDIT AGRICOLE", u"CASTELNAUDARY", u"AGRIFRPPCNY"),
    (u"CREDIT AGRICOLE", u"CASTRES", u"AGRIFRPPCAS"),
    (u"CREDIT AGRICOLE", u"CAUDRY", u"AGRIFRPPCAU"),
    (u"CREDIT AGRICOLE", u"CAVAILLON", u"AGRIFRPPCAV"),
    (u"CREDIT AGRICOLE", u"CAVALAIRE", u"AGRIFRPPCVL"),
    (u"CREDIT AGRICOLE", u"CERET", u"AGRIFRPPCET"),
    (u"CREDIT AGRICOLE", u"CERGY PONTOISE", u"AGRIFRPPCER"),
    (u"CREDIT AGRICOLE", u"CESSON SEVIGNE", u"AGRIFRPPCES"),
    (u"CREDIT AGRICOLE", u"CHABLIS", u"AGRIFRPPCIS"),
    (u"CREDIT AGRICOLE", u"CHALLANS", u"AGRIFRPPCLL"),
    (u"CREDIT AGRICOLE", u"CHALON SUR SAONE", u"AGRIFRPPCSS"),
    (u"CREDIT AGRICOLE", u"CHALONS EN CHAMPAGNE", u"AGRIFRPPCEC"),
    (u"CREDIT AGRICOLE", u"CHALONS EN CHAMPAGNE", u"AGRIFRPPCHA"),
    (u"CREDIT AGRICOLE", u"CHAMBERY", u"AGRIFRPPCHY"),
    (u"CREDIT AGRICOLE", u"CHAMONIX", u"AGRIFRPPCHX"),
    (u"CREDIT AGRICOLE", u"CHAMPAGNE AU MONT D'OR", u"AGRIFRPPCMO"),
    (u"CREDIT AGRICOLE", u"CHANTILLY", u"AGRIFRPPCHI"),
    (u"CREDIT AGRICOLE", u"CHANTONNAY", u"AGRIFRPPCTY"),
    (u"CREDIT AGRICOLE", u"CHARLEVILLE MEZIERES", u"AGRIFRPPCHM"),
    (u"CREDIT AGRICOLE", u"CHARMES SUR RHONE", u"AGRIFRPPSRH"),
    (u"CREDIT AGRICOLE", u"CHAROLLES", u"AGRIFRPPCHL"),
    (u"CREDIT AGRICOLE", u"CHARTRES", u"AGRIFRPP844"),
    (u"CREDIT AGRICOLE", u"CHASSENEUIL DU POITOU", u"AGRIFRPPCDP"),
    (u"CREDIT AGRICOLE", u"CHASSIEU", u"AGRIFRPPLHS"),
    (u"CREDIT AGRICOLE", u"CHASSIEU", u"AGRIFRPPCEU"),
    (u"CREDIT AGRICOLE", u"CHATEAU SALINS", u"AGRIFRPPCSA"),
    (u"CREDIT AGRICOLE", u"CHATEAU THIERRY", u"AGRIFRPPCHT"),
    (u"CREDIT AGRICOLE", u"CHATEAUBRIANT", u"AGRIFRPPCHN"),
    (u"CREDIT AGRICOLE", u"CHATEAUDUN", u"AGRIFRPPCHD"),
    (u"CREDIT AGRICOLE", u"CHATEAURENARD", u"AGRIFRPPCHR"),
    (u"CREDIT AGRICOLE", u"CHATEAUROUX", u"AGRIFRPPCHU"),
    (u"CREDIT AGRICOLE", u"CHATELLERAULT", u"AGRIFRPPCTL"),
    (u"CREDIT AGRICOLE", u"CHATOU", u"AGRIFRPPCOU"),
    (u"CREDIT AGRICOLE", u"CHAUMONT", u"AGRIFRPPCMT"),
    (u"CREDIT AGRICOLE", u"CHELLES", u"AGRIFRPPCEE"),
    (u"CREDIT AGRICOLE", u"CHERBOURG", u"AGRIFRPPCHE"),
    (u"CREDIT AGRICOLE", u"CHOLET", u"AGRIFRPPCHO"),
    (u"CREDIT AGRICOLE", u"CLERMONT", u"AGRIFRPPCLT"),
    (u"CREDIT AGRICOLE", u"CLERMONT", u"AGRIFRPPCLM"),
    (u"CREDIT AGRICOLE", u"CLERMONT FERRAND", u"AGRIFRPP868"),
    (u"CREDIT AGRICOLE", u"CLICHY", u"AGRIFRPPCLY"),
    (u"CREDIT AGRICOLE", u"CLISSON", u"AGRIFRPPCLI"),
    (u"CREDIT AGRICOLE", u"CLUSES", u"AGRIFRPPCLU"),
    (u"CREDIT AGRICOLE", u"COGNAC", u"AGRIFRPPCOG"),
    (u"CREDIT AGRICOLE", u"COLMAR", u"AGRIFRPPCOL"),
    (u"CREDIT AGRICOLE", u"COMPIEGNE", u"AGRIFRPPCMP"),
    (u"CREDIT AGRICOLE", u"CONCARNEAU", u"AGRIFRPPCNU"),
    (u"CREDIT AGRICOLE", u"CONDRIEU", u"AGRIFRPPCOD"),
    (u"CREDIT AGRICOLE", u"CONFLANS SAINTE HONORINE", u"AGRIFRPPCSH"),
    (u"CREDIT AGRICOLE", u"CORBAS", u"AGRIFRPPCRB"),
    (u"CREDIT AGRICOLE", u"CORBAS", u"AGRIFRPPCOS"),
    (u"CREDIT AGRICOLE", u"COULOMMIERS", u"AGRIFRPPCMM"),
    (u"CREDIT AGRICOLE", u"COURBEVOIE", u"AGRIFRPPCCR"),
    (u"CREDIT AGRICOLE", u"COURCHEVEL", u"AGRIFRPPCOV"),
    (u"CREDIT AGRICOLE", u"COURTHEZON", u"AGRIFRPPCTH"),
    (u"CREDIT AGRICOLE", u"COUTANCES", u"AGRIFRPPCOT"),
    (u"CREDIT AGRICOLE", u"CREIL", u"AGRIFRPPCRE"),
    (u"CREDIT AGRICOLE", u"CREMIEU", u"AGRIFRPPCRU"),
    (u"CREDIT AGRICOLE", u"CREMIEU", u"AGRIFRPPCRM"),
    (u"CREDIT AGRICOLE", u"CREON", u"AGRIFRPPCRO"),
    (u"CREDIT AGRICOLE", u"CREPY EN VALOIS", u"AGRIFRPPCEV"),
    (u"CREDIT AGRICOLE", u"CRETEIL", u"AGRIFRPPCRT"),
    (u"CREDIT AGRICOLE", u"DAMMARTIN EN GOELE", u"AGRIFRPPDAM"),
    (u"CREDIT AGRICOLE", u"DAX", u"AGRIFRPPDAX"),
    (u"CREDIT AGRICOLE", u"DECAZEVILLE", u"AGRIFRPPDEC"),
    (u"CREDIT AGRICOLE", u"DECINES CHARPIEU", u"AGRIFRPPDIC"),
    (u"CREDIT AGRICOLE", u"DECIZE", u"AGRIFRPPDEI"),
    (u"CREDIT AGRICOLE", u"DIEPPE", u"AGRIFRPPDIE"),
    (u"CREDIT AGRICOLE", u"DIGOIN", u"AGRIFRPPDIG"),
    (u"CREDIT AGRICOLE", u"DIJON", u"AGRIFRPPDIJ"),
    (u"CREDIT AGRICOLE", u"DINAN", u"AGRIFRPPDIN"),
    (u"CREDIT AGRICOLE", u"DOMENE", u"AGRIFRPPDOM"),
    (u"CREDIT AGRICOLE", u"DOUAI", u"AGRIFRPPDOU"),
    (u"CREDIT AGRICOLE", u"DRAGUIGNAN", u"AGRIFRPP891"),
    (u"CREDIT AGRICOLE", u"DREUX", u"AGRIFRPPDRX"),
    (u"CREDIT AGRICOLE", u"DUNKERQUE", u"AGRIFRPPDUN"),
    (u"CREDIT AGRICOLE", u"ECULLY", u"AGRIFRPPECL"),
    (u"CREDIT AGRICOLE", u"ELBEUF", u"AGRIFRPPELB"),
    (u"CREDIT AGRICOLE", u"ENGHIEN LES BAINS", u"AGRIFRPPENG"),
    (u"CREDIT AGRICOLE", u"EPERNAY", u"AGRIFRPPEPY"),
    (u"CREDIT AGRICOLE", u"EPINAL", u"AGRIFRPPEPL"),
    (u"CREDIT AGRICOLE", u"ERSTEIN", u"AGRIFRPPERS"),
    (u"CREDIT AGRICOLE", u"ESPALION", u"AGRIFRPPESP"),
    (u"CREDIT AGRICOLE", u"ETAMPES", u"AGRIFRPPETA"),
    (u"CREDIT AGRICOLE", u"EVREUX", u"AGRIFRPPEVX"),
    (u"CREDIT AGRICOLE", u"EVRY", u"AGRIFRPPEVR"),
    (u"CREDIT AGRICOLE", u"FALAISE", u"AGRIFRPPFAL"),
    (u"CREDIT AGRICOLE", u"FAYENCE", u"AGRIFRPPFAY"),
    (u"CREDIT AGRICOLE", u"FECAMP", u"AGRIFRPPFEC"),
    (u"CREDIT AGRICOLE", u"FERNEY VOLTAIRE", u"AGRIFRPPFEV"),
    (u"CREDIT AGRICOLE", u"FEYZIN", u"AGRIFRPPFEY"),
    (u"CREDIT AGRICOLE", u"FIGEAC", u"AGRIFRPPFIG"),
    (u"CREDIT AGRICOLE", u"FLAINE", u"AGRIFRPPFLA"),
    (u"CREDIT AGRICOLE", u"FLERS", u"AGRIFRPPFLE"),
    (u"CREDIT AGRICOLE", u"FLEURIE", u"AGRIFRPPFLI"),
    (u"CREDIT AGRICOLE", u"FOIX", u"AGRIFRPPFOX"),
    (u"CREDIT AGRICOLE", u"FONTAINE", u"AGRIFRPPFON"),
    (u"CREDIT AGRICOLE", u"FONTAINEBLEAU", u"AGRIFRPPFOT"),
    (u"CREDIT AGRICOLE", u"FONTENAY LE COMTE", u"AGRIFRPPFLC"),
    (u"CREDIT AGRICOLE", u"FONTENAY SOUS BOIS", u"AGRIFRPPFSB"),
    (u"CREDIT AGRICOLE", u"FORBACH", u"AGRIFRPPFRB"),
    (u"CREDIT AGRICOLE", u"FOUGERES", u"AGRIFRPPFOG"),
    (u"CREDIT AGRICOLE", u"FREJUS", u"AGRIFRPPFRE"),
    (u"CREDIT AGRICOLE", u"FRIVILLE ESCARBOTIN", u"AGRIFRPPFRI"),
    (u"CREDIT AGRICOLE", u"GAP", u"AGRIFRPPGAP"),
    (u"CREDIT AGRICOLE", u"GARDANNE", u"AGRIFRPPGAR"),
    (u"CREDIT AGRICOLE", u"GENAS", u"AGRIFRPPGNS"),
    (u"CREDIT AGRICOLE", u"GENAS", u"AGRIFRPPGEN"),
    (u"CREDIT AGRICOLE", u"GENNEVILLIERS", u"AGRIFRPPGNV"),
    (u"CREDIT AGRICOLE", u"GEX", u"AGRIFRPPGEX"),
    (u"CREDIT AGRICOLE", u"GIEN", u"AGRIFRPPGIE"),
    (u"CREDIT AGRICOLE", u"GISORS", u"AGRIFRPPGIO"),
    (u"CREDIT AGRICOLE", u"GISORS", u"AGRIFRPPGIS"),
    (u"CREDIT AGRICOLE", u"GORNAC", u"AGRIFRPPGOR"),
    (u"CREDIT AGRICOLE", u"GOURDON", u"AGRIFRPPGOU"),
    (u"CREDIT AGRICOLE", u"GRANVILLE", u"AGRIFRPPGRA"),
    (u"CREDIT AGRICOLE", u"GRASSE", u"AGRIFRPPGRS"),
    (u"CREDIT AGRICOLE", u"GRAULHET", u"AGRIFRPPGRL"),
    (u"CREDIT AGRICOLE", u"GRENOBLE", u"AGRIFRPP839"),
    (u"CREDIT AGRICOLE", u"GUEBWILLER", u"AGRIFRPPGBW"),
    (u"CREDIT AGRICOLE", u"GUERET", u"AGRIFRPPGUE"),
    (u"CREDIT AGRICOLE", u"GUILLESTRE", u"AGRIFRPPGIL"),
    (u"CREDIT AGRICOLE", u"GUINGAMP", u"AGRIFRPPGUI"),
    (u"CREDIT AGRICOLE", u"GUJAN MESTRAS", u"AGRIFRPPMTA"),
    (u"CREDIT AGRICOLE", u"HAGUENAU", u"AGRIFRPPHGN"),
    (u"CREDIT AGRICOLE", u"HAYANGE", u"AGRIFRPPHAY"),
    (u"CREDIT AGRICOLE", u"HAZEBROUCK", u"AGRIFRPPHAZ"),
    (u"CREDIT AGRICOLE", u"HENDAYE", u"AGRIFRPPHEN"),
    (u"CREDIT AGRICOLE", u"HETTANGE", u"AGRIFRPPHET"),
    (u"CREDIT AGRICOLE", u"HEYRIEUX", u"AGRIFRPPHYX"),
    (u"CREDIT AGRICOLE", u"HEYRIEUX", u"AGRIFRPPHEY"),
    (u"CREDIT AGRICOLE", u"HOUILLES", u"AGRIFRPPHOU"),
    (u"CREDIT AGRICOLE", u"HYERES", u"AGRIFRPPHYE"),
    (u"CREDIT AGRICOLE", u"ISLE D'ABEAU", u"AGRIFRPPIAB"),
    (u"CREDIT AGRICOLE", u"ISLE SUR SORGUE", u"AGRIFRPPILS"),
    (u"CREDIT AGRICOLE", u"ISSOIRE", u"AGRIFRPPISS"),
    (u"CREDIT AGRICOLE", u"ISSY LES MOULINEAUX", u"AGRIFRPPILM"),
    (u"CREDIT AGRICOLE", u"ISTRES", u"AGRIFRPPIST"),
    (u"CREDIT AGRICOLE", u"IVRY-SUR-SEINE", u"AGRIFRPPIVR"),
    (u"CREDIT AGRICOLE", u"JUVISY SUR ORGE", u"AGRIFRPPJSO"),
    (u"CREDIT AGRICOLE", u"L'AIGLE", u"AGRIFRPPLAI"),
    (u"CREDIT AGRICOLE", u"LA CIOTAT", u"AGRIFRPPLCI"),
    (u"CREDIT AGRICOLE", u"LA GARDE", u"AGRIFRPPLAD"),
    (u"CREDIT AGRICOLE", u"LA REOLE", u"AGRIFRPPLRE"),
    (u"CREDIT AGRICOLE", u"LA ROCHE SUR FORON", u"AGRIFRPPROF"),
    (u"CREDIT AGRICOLE", u"LA ROCHE SUR YON", u"AGRIFRPPLRY"),
    (u"CREDIT AGRICOLE", u"LA ROCHELLE", u"AGRIFRPPROC"),
    (u"CREDIT AGRICOLE", u"LA SEYNE SUR MER", u"AGRIFRPPLSM"),
    (u"CREDIT AGRICOLE", u"LA TOUR DU PIN", u"AGRIFRPPLTP"),
    (u"CREDIT AGRICOLE", u"LA TRONCHE", u"AGRIFRPPLTR"),
    (u"CREDIT AGRICOLE", u"LA VALETTE DU VAR", u"AGRIFRPPLVV"),
    (u"CREDIT AGRICOLE", u"LA VERPILLIERE", u"AGRIFRPPLVE"),
    (u"CREDIT AGRICOLE", u"LA VOULTE SUR RHONE", u"AGRIFRPPASR"),
    (u"CREDIT AGRICOLE", u"LAGNIEU", u"AGRIFRPPLAG"),
    (u"CREDIT AGRICOLE", u"LAGNY SUR MARNE", u"AGRIFRPPLAM"),
    (u"CREDIT AGRICOLE", u"LAMBALLE", u"AGRIFRPPLAB"),
    (u"CREDIT AGRICOLE", u"LAMBESC", u"AGRIFRPPLBC"),
    (u"CREDIT AGRICOLE", u"LANGON", u"AGRIFRPPLGN"),
    (u"CREDIT AGRICOLE", u"LANGRES", u"AGRIFRPPLAN"),
    (u"CREDIT AGRICOLE", u"LANNION", u"AGRIFRPPLNN"),
    (u"CREDIT AGRICOLE", u"LAON", u"AGRIFRPPLAO"),
    (u"CREDIT AGRICOLE", u"LARAGNE MONTEGLIN", u"AGRIFRPPLMO"),
    (u"CREDIT AGRICOLE", u"LATTES", u"AGRIFRPP835"),
    (u"CREDIT AGRICOLE", u"LAVAL", u"AGRIFRPPLAV"),
    (u"CREDIT AGRICOLE", u"LAVELANET", u"AGRIFRPPLVT"),
    (u"CREDIT AGRICOLE", u"LE BLANC MESNIL", u"AGRIFRPPBLM"),
    (u"CREDIT AGRICOLE", u"LE BOURGET", u"AGRIFRPPBGT"),
    (u"CREDIT AGRICOLE", u"LE CHEYLARD", u"AGRIFRPPCEY"),
    (u"CREDIT AGRICOLE", u"LE CREUSOT", u"AGRIFRPPLEU"),
    (u"CREDIT AGRICOLE", u"LE HAVRE", u"AGRIFRPPHAV"),
    (u"CREDIT AGRICOLE", u"LE LAVANDOU", u"AGRIFRPPLLA"),
    (u"CREDIT AGRICOLE", u"LE MANS", u"AGRIFRPP879"),
    (u"CREDIT AGRICOLE", u"LE POUZIN", u"AGRIFRPPLPZ"),
    (u"CREDIT AGRICOLE", u"LE PUY", u"AGRIFRPPLEY"),
    (u"CREDIT AGRICOLE", u"LE PUY EN VELAY", u"AGRIFRPPPUY"),
    (u"CREDIT AGRICOLE", u"LE PUY SAINTE REPARADE", u"AGRIFRPPPSR"),
    (u"CREDIT AGRICOLE", u"LE RAINCY", u"AGRIFRPPRAI"),
    (u"CREDIT AGRICOLE", u"LE THOR", u"AGRIFRPPTHO"),
    (u"CREDIT AGRICOLE", u"LENS", u"AGRIFRPPLEN"),
    (u"CREDIT AGRICOLE", u"LEOGNAN", u"AGRIFRPPLEG"),
    (u"CREDIT AGRICOLE", u"LES HERBIERS", u"AGRIFRPPLEH"),
    (u"CREDIT AGRICOLE", u"LES MENUIRES", u"AGRIFRPPMES"),
    (u"CREDIT AGRICOLE", u"LES MUREAUX", u"AGRIFRPPLMX"),
    (u"CREDIT AGRICOLE", u"LES SABLES D'OLONNE", u"AGRIFRPPLSA"),
    (u"CREDIT AGRICOLE", u"LESPARRE", u"AGRIFRPPLES"),
    (u"CREDIT AGRICOLE", u"LEVALLOIS PERRET", u"AGRIFRPPLEP"),
    (u"CREDIT AGRICOLE", u"LIBOURNE", u"AGRIFRPPLIB"),
    (u"CREDIT AGRICOLE", u"LILLE", u"AGRIFRPP867"),
    (u"CREDIT AGRICOLE", u"LIMOGES", u"AGRIFRPP895"),
    (u"CREDIT AGRICOLE", u"LISIEUX", u"AGRIFRPPLIS"),
    (u"CREDIT AGRICOLE", u"LOGNES", u"AGRIFRPPLMV"),
    (u"CREDIT AGRICOLE", u"LOMME", u"AGRIFRPPLOM"),
    (u"CREDIT AGRICOLE", u"LONGJUMEAU", u"AGRIFRPPLCJ"),
    (u"CREDIT AGRICOLE", u"LONGWY", u"AGRIFRPPLOW"),
    (u"CREDIT AGRICOLE", u"LONS LE SAUNIER", u"AGRIFRPPLON"),
    (u"CREDIT AGRICOLE", u"LORIENT", u"AGRIFRPPLOR"),
    (u"CREDIT AGRICOLE", u"LOUDEAC", u"AGRIFRPPLOD"),
    (u"CREDIT AGRICOLE", u"LOUHANS", u"AGRIFRPPLOA"),
    (u"CREDIT AGRICOLE", u"LOURDES", u"AGRIFRPPLOU"),
    (u"CREDIT AGRICOLE", u"LUCON", u"AGRIFRPPLUC"),
    (u"CREDIT AGRICOLE", u"LUNEVILLE", u"AGRIFRPPLUN"),
    (u"CREDIT AGRICOLE", u"LYON", u"AGRIFRPP878"),
    (u"CREDIT AGRICOLE", u"MACON", u"AGRIFRPPMAC"),
    (u"CREDIT AGRICOLE", u"MAISONS ALFORT", u"AGRIFRPPMAI"),
    (u"CREDIT AGRICOLE", u"MAISONS LAFFITTE", u"AGRIFRPPMAL"),
    (u"CREDIT AGRICOLE", u"MALAKOFF", u"AGRIFRPPMOF"),
    (u"CREDIT AGRICOLE", u"MALLEMORT", u"AGRIFRPPMAT"),
    (u"CREDIT AGRICOLE", u"MANOSQUE", u"AGRIFRPPMAN"),
    (u"CREDIT AGRICOLE", u"MANTES LA JOLIE", u"AGRIFRPPMLJ"),
    (u"CREDIT AGRICOLE", u"MARGAUX", u"AGRIFRPPMAG"),
    (u"CREDIT AGRICOLE", u"MARIGNANE", u"AGRIFRPPMGN"),
    (u"CREDIT AGRICOLE", u"MARMANDE", u"AGRIFRPPMAD"),
    (u"CREDIT AGRICOLE", u"MARNE LA VALLEE", u"AGRIFRPPMVA"),
    (u"CREDIT AGRICOLE", u"MARSEILLE", u"AGRIFRPPMAR"),
    (u"CREDIT AGRICOLE", u"MARTIGUES", u"AGRIFRPPMTS"),
    (u"CREDIT AGRICOLE", u"MASSY", u"AGRIFRPPMAS"),
    (u"CREDIT AGRICOLE", u"MAUBEUGE", u"AGRIFRPPMAU"),
    (u"CREDIT AGRICOLE", u"MAULEON BAROUSSE", u"AGRIFRPPMAB"),
    (u"CREDIT AGRICOLE", u"MAYENNE", u"AGRIFRPPMAY"),
    (u"CREDIT AGRICOLE", u"MAZAMET", u"AGRIFRPPMAZ"),
    (u"CREDIT AGRICOLE", u"MEAUX", u"AGRIFRPPMEA"),
    (u"CREDIT AGRICOLE", u"MEGEVE", u"AGRIFRPPMEG"),
    (u"CREDIT AGRICOLE", u"MELUN", u"AGRIFRPPMEL"),
    (u"CREDIT AGRICOLE", u"MENDE", u"AGRIFRPPMED"),
    (u"CREDIT AGRICOLE", u"MENTON", u"AGRIFRPPMEN"),
    (u"CREDIT AGRICOLE", u"MER", u"AGRIFRPP907"),
    (u"CREDIT AGRICOLE", u"MERIBEL", u"AGRIFRPPMEI"),
    (u"CREDIT AGRICOLE", u"MERIBEL LES ALLUES", u"AGRIFRPPMER"),
    (u"CREDIT AGRICOLE", u"MERU", u"AGRIFRPPMUE"),
    (u"CREDIT AGRICOLE", u"METZ", u"AGRIFRPP861"),
    (u"CREDIT AGRICOLE", u"MEURSAULT", u"AGRIFRPPMEU"),
    (u"CREDIT AGRICOLE", u"MEYLAN", u"AGRIFRPPMEY"),
    (u"CREDIT AGRICOLE", u"MEYZIEU", u"AGRIFRPPMZU"),
    (u"CREDIT AGRICOLE", u"MEYZIEU", u"AGRIFRPPMEZ"),
    (u"CREDIT AGRICOLE", u"MILLAU", u"AGRIFRPPMIL"),
    (u"CREDIT AGRICOLE", u"MIRAMAS", u"AGRIFRPPMIS"),
    (u"CREDIT AGRICOLE", u"MIRECOURT", u"AGRIFRPPMIR"),
    (u"CREDIT AGRICOLE", u"MITRY MORY", u"AGRIFRPPMYM"),
    (u"CREDIT AGRICOLE", u"MODANE", u"AGRIFRPPMOD"),
    (u"CREDIT AGRICOLE", u"MOLSHEIM", u"AGRIFRPPMOL"),
    (u"CREDIT AGRICOLE", u"MONISTROL SUR LOIRE", u"AGRIFRPPMOI"),
    (u"CREDIT AGRICOLE", u"MONT DE MARSAN", u"AGRIFRPPMDM"),
    (u"CREDIT AGRICOLE", u"MONTAIGU", u"AGRIFRPPMOA"),
    (u"CREDIT AGRICOLE", u"MONTARGIS", u"AGRIFRPPMTG"),
    (u"CREDIT AGRICOLE", u"MONTAUBAN", u"AGRIFRPPTTB"),
    (u"CREDIT AGRICOLE", u"MONTBELIARD", u"AGRIFRPPMOT"),
    (u"CREDIT AGRICOLE", u"MONTELIMAR", u"AGRIFRPPMOR"),
    (u"CREDIT AGRICOLE", u"MONTEREAU", u"AGRIFRPPMTE"),
    (u"CREDIT AGRICOLE", u"MONTEUX", u"AGRIFRPPMTX"),
    (u"CREDIT AGRICOLE", u"MONTFAVET", u"AGRIFRPPMTF"),
    (u"CREDIT AGRICOLE", u"MONTLUCON", u"AGRIFRPPMLU"),
    (u"CREDIT AGRICOLE", u"MONTLUEL", u"AGRIFRPPMOU"),
    (u"CREDIT AGRICOLE", u"MONTPELLIER", u"AGRIFRPPMPL"),
    (u"CREDIT AGRICOLE", u"MONTREJEAU", u"AGRIFRPPMON"),
    (u"CREDIT AGRICOLE", u"MONTREUIL", u"AGRIFRPPMTR"),
    (u"CREDIT AGRICOLE", u"MONTREUIL SUR MER", u"AGRIFRPPMOM"),
    (u"CREDIT AGRICOLE", u"MONTROUGE", u"AGRIFRPPMRG"),
    (u"CREDIT AGRICOLE", u"MORLAIX", u"AGRIFRPPMOX"),
    (u"CREDIT AGRICOLE", u"MORTAGNE AU PERCHE", u"AGRIFRPPMOE"),
    (u"CREDIT AGRICOLE", u"MOULINS SUR ALLIER", u"AGRIFRPPMLS"),
    (u"CREDIT AGRICOLE", u"MULHOUSE", u"AGRIFRPPMUL"),
    (u"CREDIT AGRICOLE", u"MURET", u"AGRIFRPPMET"),
    (u"CREDIT AGRICOLE", u"NANCY", u"AGRIFRPPNAN"),
    (u"CREDIT AGRICOLE", u"NANGIS", u"AGRIFRPPNAI"),
    (u"CREDIT AGRICOLE", u"NANTERRE", u"AGRIFRPPNTE"),
    (u"CREDIT AGRICOLE", u"NANTES", u"AGRIFRPP847"),
    (u"CREDIT AGRICOLE", u"NARBONNE", u"AGRIFRPPNAR"),
    (u"CREDIT AGRICOLE", u"NEMOURS", u"AGRIFRPPNEM"),
    (u"CREDIT AGRICOLE", u"NEUFCHATEL EN BRAY", u"AGRIFRPPNEB"),
    (u"CREDIT AGRICOLE", u"NEUILLY SUR SEINE", u"AGRIFRPPNEU"),
    (u"CREDIT AGRICOLE", u"NEVERS", u"AGRIFRPPNEV"),
    (u"CREDIT AGRICOLE", u"NICE", u"AGRIFRPPNIC"),
    (u"CREDIT AGRICOLE", u"NIMES", u"AGRIFRPPNIM"),
    (u"CREDIT AGRICOLE", u"NIORT", u"AGRIFRPPNIO"),
    (u"CREDIT AGRICOLE", u"NOGENT SUR SEINE", u"AGRIFRPPNOG"),
    (u"CREDIT AGRICOLE", u"NOISIEL", u"AGRIFRPPNOI"),
    (u"CREDIT AGRICOLE", u"NOISY LE GRAND", u"AGRIFRPPNLG"),
    (u"CREDIT AGRICOLE", u"NOYON", u"AGRIFRPPNOY"),
    (u"CREDIT AGRICOLE", u"NUITS SAINT GEORGES", u"AGRIFRPPNUI"),
    (u"CREDIT AGRICOLE", u"OBERNAI", u"AGRIFRPPOBN"),
    (u"CREDIT AGRICOLE", u"ORANGE", u"AGRIFRPPORA"),
    (u"CREDIT AGRICOLE", u"ORLEANS", u"AGRIFRPPORL"),
    (u"CREDIT AGRICOLE", u"OULLINS", u"AGRIFRPPOUL"),
    (u"CREDIT AGRICOLE", u"OYONNAX", u"AGRIFRPPOYX"),
    (u"CREDIT AGRICOLE", u"PAMIERS", u"AGRIFRPPPAI"),
    (u"CREDIT AGRICOLE", u"PANTIN", u"AGRIFRPPPAN"),
    (u"CREDIT AGRICOLE", u"PARAY LE MONIAL", u"AGRIFRPPPLM"),
    (u"CREDIT AGRICOLE", u"PARIS", u"AGRIFRPPCLS"),
    (u"CREDIT AGRICOLE", u"PARIS", u"AGRIFRPP"),
    (u"CREDIT AGRICOLE", u"PARIS", u"AGRIFRPP882"),
    (u"CREDIT AGRICOLE", u"PAU", u"AGRIFRPPPAO"),
    (u"CREDIT AGRICOLE", u"PAUILLAC", u"AGRIFRPPPAU"),
    (u"CREDIT AGRICOLE", u"PEAGE DE ROUSSILLON", u"AGRIFRPPRIN"),
    (u"CREDIT AGRICOLE", u"PERIGUEUX", u"AGRIFRPPPER"),
    (u"CREDIT AGRICOLE", u"PERPIGNAN", u"AGRIFRPP871"),
    (u"CREDIT AGRICOLE", u"PERTUIS", u"AGRIFRPPPTS"),
    (u"CREDIT AGRICOLE", u"PEZENAS", u"AGRIFRPPPEZ"),
    (u"CREDIT AGRICOLE", u"PITHIVIERS", u"AGRIFRPPPIT"),
    (u"CREDIT AGRICOLE", u"PLAN DE CUQUES", u"AGRIFRPPPDU"),
    (u"CREDIT AGRICOLE", u"PLOERMEL", u"AGRIFRPPPLO"),
    (u"CREDIT AGRICOLE", u"PLOUFRAGAN", u"AGRIFRPPPFA"),
    (u"CREDIT AGRICOLE", u"POISSY", u"AGRIFRPPPOI"),
    (u"CREDIT AGRICOLE", u"POITIERS", u"AGRIFRPP894"),
    (u"CREDIT AGRICOLE", u"PONT A MOUSSON", u"AGRIFRPPPAM"),
    (u"CREDIT AGRICOLE", u"PONT DE BEAUVOISIN", u"AGRIFRPPPBV"),
    (u"CREDIT AGRICOLE", u"PONT DE CHERUY", u"AGRIFRPPPCU"),
    (u"CREDIT AGRICOLE", u"PONT DE CHERUY", u"AGRIFRPPPCY"),
    (u"CREDIT AGRICOLE", u"PONT DE CLAIX", u"AGRIFRPPPDC"),
    (u"CREDIT AGRICOLE", u"PONTCHARRA", u"AGRIFRPPPON"),
    (u"CREDIT AGRICOLE", u"PONTORSON", u"AGRIFRPPPSO"),
    (u"CREDIT AGRICOLE", u"POUILLY SUR LOIRE", u"AGRIFRPPPOU"),
    (u"CREDIT AGRICOLE", u"PRADES", u"AGRIFRPPPRA"),
    (u"CREDIT AGRICOLE", u"PRIVAS", u"AGRIFRPPPRI"),
    (u"CREDIT AGRICOLE", u"PROVINS", u"AGRIFRPPPRO"),
    (u"CREDIT AGRICOLE", u"PUGET SUR ARGENS", u"AGRIFRPPPUG"),
    (u"CREDIT AGRICOLE", u"PUJOLS", u"AGRIFRPPPUJ"),
    (u"CREDIT AGRICOLE", u"PUTEAUX", u"AGRIFRPPPTX"),
    (u"CREDIT AGRICOLE", u"QUIMPER", u"AGRIFRPP829"),
    (u"CREDIT AGRICOLE", u"REDON", u"AGRIFRPPRED"),
    (u"CREDIT AGRICOLE", u"REIMS", u"AGRIFRPP802"),
    (u"CREDIT AGRICOLE", u"RENNES", u"AGRIFRPP836"),
    (u"CREDIT AGRICOLE", u"REVEL", u"AGRIFRPPREL"),
    (u"CREDIT AGRICOLE", u"RIOM", u"AGRIFRPPRIO"),
    (u"CREDIT AGRICOLE", u"RIVESALTES", u"AGRIFRPPRIV"),
    (u"CREDIT AGRICOLE", u"ROANNE", u"AGRIFRPPROA"),
    (u"CREDIT AGRICOLE", u"RODEZ", u"AGRIFRPPROD"),
    (u"CREDIT AGRICOLE", u"ROISSY EN BRIE", u"AGRIFRPPROE"),
    (u"CREDIT AGRICOLE", u"ROISSY EN FRANCE", u"AGRIFRPPROI"),
    (u"CREDIT AGRICOLE", u"ROMANS SUR ISERE", u"AGRIFRPPRSI"),
    (u"CREDIT AGRICOLE", u"ROSNY SOUS BOIS", u"AGRIFRPPRSB"),
    (u"CREDIT AGRICOLE", u"ROUBAIX", u"AGRIFRPPROU"),
    (u"CREDIT AGRICOLE", u"ROUEN", u"AGRIFRPP883"),
    (u"CREDIT AGRICOLE", u"RUEIL MALMAISON", u"AGRIFRPPRUM"),
    (u"CREDIT AGRICOLE", u"RUNGIS", u"AGRIFRPPRUN"),
    (u"CREDIT AGRICOLE", u"SAINT AFFRIQUE", u"AGRIFRPPSAF"),
    (u"CREDIT AGRICOLE", u"SAINT AMBROIX", u"AGRIFRPPSAB"),
    (u"CREDIT AGRICOLE", u"SAINT ANDRE DE CUBZAC", u"AGRIFRPPSAZ"),
    (u"CREDIT AGRICOLE", u"SAINT AVOLD", u"AGRIFRPPSTA"),
    (u"CREDIT AGRICOLE", u"SAINT BONNET EN CHAMPSAUR", u"AGRIFRPPSBC"),
    (u"CREDIT AGRICOLE", u"SAINT BRIEUC", u"AGRIFRPP822"),
    (u"CREDIT AGRICOLE", u"SAINT CERE", u"AGRIFRPPSAC"),
    (u"CREDIT AGRICOLE", u"SAINT CHRISTOPHE EN BRIONNAIS", u"AGRIFRPPSCB"),
    (u"CREDIT AGRICOLE", u"SAINT DENIS", u"AGRIFRPPSDN"),
    (u"CREDIT AGRICOLE", u"SAINT DIE", u"AGRIFRPPSTD"),
    (u"CREDIT AGRICOLE", u"SAINT DIZIER", u"AGRIFRPPSDZ"),
    (u"CREDIT AGRICOLE", u"SAINT EGREVE", u"AGRIFRPPSEG"),
    (u"CREDIT AGRICOLE", u"SAINT EMILION", u"AGRIFRPPSEL"),
    (u"CREDIT AGRICOLE", u"SAINT ETIENNE", u"AGRIFRPP845"),
    (u"CREDIT AGRICOLE", u"SAINT GAUDENS", u"AGRIFRPPSGS"),
    (u"CREDIT AGRICOLE", u"SAINT GERMAIN EN LAYE", u"AGRIFRPPSGL"),
    (u"CREDIT AGRICOLE", u"SAINT GILLES CROIX DE VIE", u"AGRIFRPPSGV"),
    (u"CREDIT AGRICOLE", u"SAINT GIRONS", u"AGRIFRPPCGR"),
    (u"CREDIT AGRICOLE", u"SAINT HILAIRE DU HARCOUET", u"AGRIFRPPSHH"),
    (u"CREDIT AGRICOLE", u"SAINT JEAN DE LUZ", u"AGRIFRPPLUZ"),
    (u"CREDIT AGRICOLE", u"SAINT JEAN DE MAURIENNE", u"AGRIFRPPSJM"),
    (u"CREDIT AGRICOLE", u"SAINT JEAN EN ROYANS", u"AGRIFRPPSJR"),
    (u"CREDIT AGRICOLE", u"SAINT JEAN PIED DE PORT", u"AGRIFRPPSJP"),
    (u"CREDIT AGRICOLE", u"SAINT LAURENT DU VAR", u"AGRIFRPPSLV"),
    (u"CREDIT AGRICOLE", u"SAINT LEU LA FORET", u"AGRIFRPPSLF"),
    (u"CREDIT AGRICOLE", u"SAINT LOUIS", u"AGRIFRPPSAL"),
    (u"CREDIT AGRICOLE", u"SAINT MALO", u"AGRIFRPPSMR"),
    (u"CREDIT AGRICOLE", u"SAINT MANDE", u"AGRIFRPPSMT"),
    (u"CREDIT AGRICOLE", u"SAINT MARCELLIN", u"AGRIFRPPSMN"),
    (u"CREDIT AGRICOLE", u"SAINT MARTIN DE CRAU", u"AGRIFRPPSMC"),
    (u"CREDIT AGRICOLE", u"SAINT MARTIN D'HERES", u"AGRIFRPPSMH"),
    (u"CREDIT AGRICOLE", u"SAINT MAUR DES FOSSES (LE PARC),", u"AGRIFRPPPSM"),
    (u"CREDIT AGRICOLE", u"SAINT MIHIEL", u"AGRIFRPPSMI"),
    (u"CREDIT AGRICOLE", u"SAINT NAZAIRE", u"AGRIFRPPNAZ"),
    (u"CREDIT AGRICOLE", u"SAINT OMER", u"AGRIFRPPSTO"),
    (u"CREDIT AGRICOLE", u"SAINT OUEN", u"AGRIFRPPSAO"),
    (u"CREDIT AGRICOLE", u"SAINT PERAY", u"AGRIFRPPSAY"),
    (u"CREDIT AGRICOLE", u"SAINT POL DE LEON", u"AGRIFRPPPOL"),
    (u"CREDIT AGRICOLE", u"SAINT PRIEST", u"AGRIFRPPSPT"),
    (u"CREDIT AGRICOLE", u"SAINT QUENTIN", u"AGRIFRPPSTQ"),
    (u"CREDIT AGRICOLE", u"SAINT QUENTIN EN YVELINES", u"AGRIFRPPSQY"),
    (u"CREDIT AGRICOLE", u"SAINT QUENTIN FALLAVIER", u"AGRIFRPPSQF"),
    (u"CREDIT AGRICOLE", u"SAINT RAMBERT D'ALBON", u"AGRIFRPPSRA"),
    (u"CREDIT AGRICOLE", u"SAINT RAPHAEL", u"AGRIFRPPSTR"),
    (u"CREDIT AGRICOLE", u"SAINT REMY DE PROVENCE", u"AGRIFRPPSRP"),
    (u"CREDIT AGRICOLE", u"SAINT TROPEZ", u"AGRIFRPPSTP"),
    (u"CREDIT AGRICOLE", u"SAINT VIVIEN DE MEDOC", u"AGRIFRPPSVV"),
    (u"CREDIT AGRICOLE", u"SAINTE FOY LA GRANDE", u"AGRIFRPPSFG"),
    (u"CREDIT AGRICOLE", u"SAINTE MAXIME", u"AGRIFRPPSTM"),
    (u"CREDIT AGRICOLE", u"SAINTES", u"AGRIFRPP817"),
    (u"CREDIT AGRICOLE", u"SALON DE PROVENCE", u"AGRIFRPPSDP"),
    (u"CREDIT AGRICOLE", u"SANARY", u"AGRIFRPPSNY"),
    (u"CREDIT AGRICOLE", u"SANCERRE", u"AGRIFRPPSAE"),
    (u"CREDIT AGRICOLE", u"SANNOIS", u"AGRIFRPPSAN"),
    (u"CREDIT AGRICOLE", u"SARLAT", u"AGRIFRPPSAA"),
    (u"CREDIT AGRICOLE", u"SARRE UNION", u"AGRIFRPPSUN"),
    (u"CREDIT AGRICOLE", u"SARREBOURG", u"AGRIFRPPSRB"),
    (u"CREDIT AGRICOLE", u"SARREGUEMINES", u"AGRIFRPPSAR"),
    (u"CREDIT AGRICOLE", u"SARTROUVILLE", u"AGRIFRPPSAT"),
    (u"CREDIT AGRICOLE", u"SAUMUR", u"AGRIFRPPSAU"),
    (u"CREDIT AGRICOLE", u"SAUVETERRE DE GUYENNE", u"AGRIFRPPSGE"),
    (u"CREDIT AGRICOLE", u"SAVERNE", u"AGRIFRPPSAV"),
    (u"CREDIT AGRICOLE", u"SCEAUX", u"AGRIFRPPSCE"),
    (u"CREDIT AGRICOLE", u"SECLIN", u"AGRIFRPPSEC"),
    (u"CREDIT AGRICOLE", u"SEDAN", u"AGRIFRPPSED"),
    (u"CREDIT AGRICOLE", u"SELESTAT", u"AGRIFRPPSLT"),
    (u"CREDIT AGRICOLE", u"SENLIS", u"AGRIFRPPSLS"),
    (u"CREDIT AGRICOLE", u"SENS", u"AGRIFRPPSEN"),
    (u"CREDIT AGRICOLE", u"SETE", u"AGRIFRPPSET"),
    (u"CREDIT AGRICOLE", u"SEVRES", u"AGRIFRPPSEV"),
    (u"CREDIT AGRICOLE", u"SEYSSINET PARISET", u"AGRIFRPPSEP"),
    (u"CREDIT AGRICOLE", u"SIX FOURS", u"AGRIFRPPSIX"),
    (u"CREDIT AGRICOLE", u"SOISSONS", u"AGRIFRPPSOS"),
    (u"CREDIT AGRICOLE", u"SORGUES", u"AGRIFRPPSOR"),
    (u"CREDIT AGRICOLE", u"SOUILLAC", u"AGRIFRPPSOU"),
    (u"CREDIT AGRICOLE", u"SOYAUX", u"AGRIFRPP824"),
    (u"CREDIT AGRICOLE", u"STRASBOURG", u"AGRIFRPP872"),
    (u"CREDIT AGRICOLE", u"SURESNES", u"AGRIFRPPSUR"),
    (u"CREDIT AGRICOLE", u"TAIN L'HERMITAGE", u"AGRIFRPPTAH"),
    (u"CREDIT AGRICOLE", u"TAIN L'HERMITAGE", u"AGRIFRPPTAE"),
    (u"CREDIT AGRICOLE", u"TARBES", u"AGRIFRPP869"),
    (u"CREDIT AGRICOLE", u"TARGON", u"AGRIFRPPTAR"),
    (u"CREDIT AGRICOLE", u"TASSIN LA DEMI LUNE", u"AGRIFRPPTAS"),
    (u"CREDIT AGRICOLE", u"THANN", u"AGRIFRPPTHN"),
    (u"CREDIT AGRICOLE", u"THIERS", u"AGRIFRPPTHI"),
    (u"CREDIT AGRICOLE", u"THIONVILLE", u"AGRIFRPPTHV"),
    (u"CREDIT AGRICOLE", u"THONON LES BAINS", u"AGRIFRPPTLB"),
    (u"CREDIT AGRICOLE", u"TIGNES", u"AGRIFRPPTIG"),
    (u"CREDIT AGRICOLE", u"TORCY", u"AGRIFRPPMLV"),
    (u"CREDIT AGRICOLE", u"TOUL", u"AGRIFRPPTOL"),
    (u"CREDIT AGRICOLE", u"TOULON", u"AGRIFRPPTLN"),
    (u"CREDIT AGRICOLE", u"TOULOUSE", u"AGRIFRPP831"),
    (u"CREDIT AGRICOLE", u"TOURCOING", u"AGRIFRPPTRG"),
    (u"CREDIT AGRICOLE", u"TOURNON", u"AGRIFRPPTNN"),
    (u"CREDIT AGRICOLE", u"TOURNUS", u"AGRIFRPPTNS"),
    (u"CREDIT AGRICOLE", u"TOURS", u"AGRIFRPPTOU"),
    (u"CREDIT AGRICOLE", u"TRETS", u"AGRIFRPPTRT"),
    (u"CREDIT AGRICOLE", u"TROUVILLE SUR MER", u"AGRIFRPPTRM"),
    (u"CREDIT AGRICOLE", u"TROYES", u"AGRIFRPP810"),
    (u"CREDIT AGRICOLE", u"TULLE", u"AGRIFRPPTUL"),
    (u"CREDIT AGRICOLE", u"USSEL", u"AGRIFRPPUSS"),
    (u"CREDIT AGRICOLE", u"UZES", u"AGRIFRPPUZE"),
    (u"CREDIT AGRICOLE", u"VAISON LA ROMAINE", u"AGRIFRPPVLR"),
    (u"CREDIT AGRICOLE", u"VAL D'ISERE", u"AGRIFRPPVAI"),
    (u"CREDIT AGRICOLE", u"VAL THORENS", u"AGRIFRPPVTH"),
    (u"CREDIT AGRICOLE", u"VALENCE", u"AGRIFRPPVAL"),
    (u"CREDIT AGRICOLE", u"VALENCIENNES", u"AGRIFRPPVCS"),
    (u"CREDIT AGRICOLE", u"VALLONS PONT D'ARC", u"AGRIFRPPVAA"),
    (u"CREDIT AGRICOLE", u"VALOGNES", u"AGRIFRPPVGE"),
    (u"CREDIT AGRICOLE", u"VALREAS", u"AGRIFRPPVAS"),
    (u"CREDIT AGRICOLE", u"VANNES", u"AGRIFRPP860"),
    (u"CREDIT AGRICOLE", u"VAUVERT", u"AGRIFRPPVAU"),
    (u"CREDIT AGRICOLE", u"VELIZY VILLACOUBLAY", u"AGRIFRPPVLZ"),
    (u"CREDIT AGRICOLE", u"VERDUN", u"AGRIFRPPVRN"),
    (u"CREDIT AGRICOLE", u"VERNON", u"AGRIFRPPVER"),
    (u"CREDIT AGRICOLE", u"VERSAILLES", u"AGRIFRPPVRS"),
    (u"CREDIT AGRICOLE", u"VESOUL", u"AGRIFRPPVES"),
    (u"CREDIT AGRICOLE", u"VEYNES", u"AGRIFRPPVEY"),
    (u"CREDIT AGRICOLE", u"VICHY", u"AGRIFRPPVIC"),
    (u"CREDIT AGRICOLE", u"VIENNE", u"AGRIFRPPVIE"),
    (u"CREDIT AGRICOLE", u"VIERZON", u"AGRIFRPPVIZ"),
    (u"CREDIT AGRICOLE", u"VILLEDIEU LES POELES", u"AGRIFRPPVIL"),
    (u"CREDIT AGRICOLE", u"VILLEFRANCHE", u"AGRIFRPPVIF"),
    (u"CREDIT AGRICOLE", u"VILLEFRANCHE DE ROUERGUE", u"AGRIFRPPVIR"),
    (u"CREDIT AGRICOLE", u"VILLEFRANCHE SUR SAONE", u"AGRIFRPPVSS"),
    (u"CREDIT AGRICOLE", u"VILLENAVE D'ORNON", u"AGRIFRPPVVO"),
    (u"CREDIT AGRICOLE", u"VILLENEUVE D'ASCQ", u"AGRIFRPPVDA"),
    (u"CREDIT AGRICOLE", u"VILLENEUVE LES AVIGNON", u"AGRIFRPPVIA"),
    (u"CREDIT AGRICOLE", u"VILLENEUVE SUR LOT", u"AGRIFRPPVSL"),
    (u"CREDIT AGRICOLE", u"VILLEPINTE", u"AGRIFRPPVIP"),
    (u"CREDIT AGRICOLE", u"VILLERS LES NANCY", u"AGRIFRPPVLN"),
    (u"CREDIT AGRICOLE", u"VILLERUPT", u"AGRIFRPPVIU"),
    (u"CREDIT AGRICOLE", u"VILLEURBANNE", u"AGRIFRPPVBE"),
    (u"CREDIT AGRICOLE", u"VINCENNES", u"AGRIFRPPVIN"),
    (u"CREDIT AGRICOLE", u"VIRE", u"AGRIFRPPVIX"),
    (u"CREDIT AGRICOLE", u"VITRE", u"AGRIFRPPVIT"),
    (u"CREDIT AGRICOLE", u"VITROLLES", u"AGRIFRPPVTL"),
    (u"CREDIT AGRICOLE", u"VITRY LE FRANCOIS", u"AGRIFRPPVLF"),
    (u"CREDIT AGRICOLE", u"VOIRON", u"AGRIFRPPVOI"),
    (u"CREDIT AGRICOLE", u"VOREPPE", u"AGRIFRPPVOR"),
    (u"CREDIT AGRICOLE", u"WISSEMBOURG", u"AGRIFRPPWSB"),
    (u"CREDIT AGRICOLE", u"YVETOT", u"AGRIFRPPYVE"),
    (u"CREDIT AGRICOLE CHEUVREUX", u"COURBEVOIE", u"CHVIFRPP"),
    (u"CREDIT AGRICOLE CHEUVREUX", u"COURBEVOIE", u"CHVIFRPPBOF"),
    (u"CREDIT AGRICOLE CHEUVREUX", u"COURBEVOIE", u"CHVIFRPPFRO"),
    (u"CREDIT AGRICOLE CHEUVREUX", u"PARIS", u"CHVIFRPP536"),
    (u"CREDIT AGRICOLE CIB", u"LILLE", u"BSUIFRPPLIL"),
    (u"CREDIT AGRICOLE CIB", u"LYON", u"BSUIFRPPLYO"),
    (u"CREDIT AGRICOLE CIB", u"MARSEILLE", u"BSUIFRPPMAR"),
    (u"CREDIT AGRICOLE CIB", u"NANTES", u"BSUIFRPPNAN"),
    (u"CREDIT AGRICOLE CIB", u"PARIS", u"BSUIFRPPCAP"),
    (u"CREDIT AGRICOLE CIB", u"PARIS", u"BSUIFRPPDMA"),
    (u"CREDIT AGRICOLE CIB", u"PARIS", u"BSUIFRPP"),
    (u"CREDIT COMMERCIAL DE FRANCE", u"PARIS", u"CCFRFRCR"),
    (u"CREDIT COMMERCIAL DU SUD-OUEST", u"MERIGNAC", u"CCBPFRPP555"),
    (u"CREDIT COOPERATIF", u"NANTERRE", u"CCOPFRPPFXD"),
    (u"CREDIT COOPERATIF", u"NANTERRE", u"CCOPFRCP"),
    (u"CREDIT COOPERATIF", u"NANTERRE", u"CCOPFRPP"),
    (u"CREDIT DU MAROC - SUCCURSALE DE PARIS", u"PARIS", u"CDMAFRPX"),
    (u"CREDIT DU NORD", u"LILLE", u"NORDFRPP"),
    (u"CREDIT FONCIER DE FRANCE", u"PARIS", u"CFFRFRPP"),
    (u"CREDIT FONCIER DE FRANCE", u"PARIS", u"CFFRFRPPSSS"),
    (u"CREDIT LYONNAIS", u"NANTERRE", u"CRLYFRPPRMA"),
    (u"CREDIT LYONNAIS", u"PARIS", u"CRLYFRPPDCM"),
    (u"CREDIT LYONNAIS", u"PARIS", u"CRLYFRPPDOC"),
    (u"CREDIT LYONNAIS", u"PARIS", u"CRLYFRPP"),
    (u"CREDIT LYONNAIS", u"PARIS", u"CRLYFRPPIGA"),
    (u"CREDIT LYONNAIS", u"PARIS", u"CRLYFRPP726"),
    (u"CREDIT LYONNAIS", u"PARIS", u"CRLYFRPP049"),
    (u"CREDIT MUTUEL", u"LA ROCHE SUR YON", u"CMCIFR2ACMO"),
    (u"CREDIT MUTUEL", u"LAVAL", u"CMCIFR2ALAV"),
    (u"CREDIT MUTUEL", u"LILLE", u"CMCIFR2ABCM"),
    (u"CREDIT MUTUEL", u"LILLE", u"CMCIFR2ACMN"),
    (u"CREDIT MUTUEL", u"STRASBOURG", u"CMCIFR2ACEE"),
    (u"CREDIT MUTUEL", u"STRASBOURG", u"CMCIFR2A"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"LYON", u"CMCIFRPAGAR"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"PARIS", u"CMCIFRPA"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"PARIS", u"CMCIFRPARFT"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"PARIS", u"CMCIFRPACCM"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"PARIS", u"CMCIFRPADGE"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"STRASBOURG", u"CMCIFRPAPOR"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"STRASBOURG", u"CMCIFRPAGMT"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"STRASBOURG", u"CMCIFRPADOC"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"STRASBOURG", u"CMCIFRPAPEN"),
    (u"CREDIT MUTUEL - CIC BANQUES", u"STRASBOURG", u"CMCIFRPACHQ"),
    (u"CREDIT MUTUEL ARKEA", u"BREST", u"CMBRFR2BCME"),
    (u"CREDIT MUTUEL ARKEA", u"BREST", u"CMBRFR2BEFI"),
    (u"CREDIT MUTUEL ARKEA", u"BREST", u"CMBRFR2BARK"),
    (u"CREDIT MUTUEL ARKEA", u"BREST", u"CMBRFR2BTIT"),
    (u"CREDIT MUTUEL ARKEA", u"BREST", u"CMBRFR2BFIR"),
    (u"CREDIT MUTUEL ARKEA", u"BREST", u"CMBRFR2B"),
    (u"CREDIT MUTUEL ARKEA", u"BREST", u"CMBRFR2BDOC"),
    (u"CREDIT MUTUEL ARKEA", u"PARIS", u"CMBRFR2BPBS"),
    (u"CREDIT MUTUEL-CIC BANQUES-CM-CIC SECURITIES", u"PARIS", u"CMCIFRPB"),
    (u"CREDIT SUISSE (FRANCE),, PARIS", u"PARIS", u"CRESFRPP"),
    (u"CREDIT SUISSE AG, PARIS BRANCH", u"PARIS", u"CRESFRPZ"),
    (u"DANONE S.A.", u"PARIS", u"DAFIFRPP"),
    (u"DASSAULT SYSTEMES", u"VELIZY VILLACOUBLAY", u"DSSAFR22"),
    (u"DCNS", u"PARIS", u"DCNSFRPP"),
    (u"DECATHLON SA", u"VILLENEUVE D'ASCQ", u"OXYLFR22"),
    (u"DERICHEBOURG SA", u"PARIS", u"DERHFRPP"),
    (u"DEUTSCHE BANK AG", u"PARIS", u"DEUTFRPPSEC"),
    (u"DEUTSCHE BANK AG", u"PARIS", u"DEUTFRPP"),
    (u"DEUTSCHE BANK AG", u"PARIS", u"DEUTFRPPSSS"),
    (u"DEXIA ASSET MANAGEMENT", u"PARIS", u"DXAMFRPP"),
    (u"DEXIA CREDIT LOCAL", u"PARIS", u"CLFRFRCC"),
    (u"DEXIA CREDIT LOCAL", u"PARIS", u"CLFRFRPP"),
    (u"DEXIA MUNICIPAL AGENCY PARIS", u"PARIS", u"DXMAFRCC"),
    (u"DUBUS S.A.", u"LILLE", u"DUBUFR2L"),
    (u"DUBUS SA", u"LILLE", u"DUBUFR2N"),
    (u"EBI SA", u"PARIS", u"ECOCFRPP"),
    (u"EBI SA", u"PARIS", u"ECOCFRPPBDF"),
    (u"EFG BANQUE PRIVEE", u"PARIS", u"EFGBFRPP"),
    (u"ELECTRICITE DE FRANCE", u"PARIS", u"EDFGFRPP"),
    (u"ELECTRICITE DE FRANCE", u"PARIS", u"EDFGFRPP001"),
    (u"ELECTRICITE DE FRANCE", u"PARIS", u"EDFGFRPPBBF"),
    (u"ELECTRICITE DE FRANCE", u"PARIS", u"EDFGFRPPBPC"),
    (u"ELECTRICITE DE FRANCE", u"PARIS", u"EDFGFRPPSCA"),
    (u"ELECTRO BANQUE", u"COLOMBES", u"ELBAFRPP"),
    (u"ELECTROPOLI CENTER", u"SAINT GENIS POUILLY", u"ELPOFR22"),
    (u"ELIOR TRESORERIE", u"PARIS", u"ELTRFRPP"),
    (u"ENTREPOSE CONTRACTING", u"COLOMBES", u"ENCTFR22"),
    (u"EPICOM", u"GAZERAN", u"EPICFR22"),
    (u"ERAMET", u"PARIS", u"ERAMFRPA"),
    (u"ESSILOR INTERNATIONAL", u"CHARENTON LE PONT", u"ESITFR2P"),
    (u"ETS J SOUFFLET", u"NOGENT SUR SEINE", u"SOUFFR22"),
    (u"EULER HERMES SFAC CREDIT", u"PARIS", u"EHSCFR2P"),
    (u"EUROCLEAR FRANCE", u"PARIS", u"SICVFRPPAF1"),
    (u"EUROCLEAR FRANCE", u"PARIS", u"SICVFRPPAF2"),
    (u"EUROCLEAR FRANCE", u"PARIS", u"SICVFRPPEF1"),
    (u"EUROCLEAR FRANCE", u"PARIS", u"SICVFRPP"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPPINT"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPPPFE"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPPT2X"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPP"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPPFTT"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPPLE1"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPPLE2"),
    (u"EUROCLEAR FRANCE SA", u"PARIS", u"ESESFRPPVOT"),
    (u"EURONEXT PARIS S.A.", u"LYON", u"XPARFRPP022"),
    (u"EURONEXT PARIS S.A.", u"PARIS", u"XPARFRPPINT"),
    (u"EURONEXT PARIS S.A.", u"PARIS", u"XPARFRPPTRS"),
    (u"EURONEXT PARIS S.A.", u"PARIS", u"XPARFRPP"),
    (u"EURONEXT PARIS S.A.", u"PARIS", u"XPARFRPPLIS"),
    (u"EUROPCAR HOLDING", u"GUYANCOURT", u"ECARFR22"),
    (u"EUROPE ARAB BANK PLC", u"PARIS", u"ARABFRPP"),
    (u"EUROPEAN FUND ADMINISTRATION FRANCE S.A.S", u"PARIS", u"EFALFRPPACC"),
    (u"EUROPEAN FUND ADMINISTRATION FRANCE S.A.S", u"PARIS", u"EFALFRPPEQY"),
    (u"EUROPEAN FUND ADMINISTRATION FRANCE S.A.S", u"PARIS", u"EFALFRPP"),
    (u"EXANE DERIVATIVES SNC", u"PARIS", u"EXADFRPP"),
    (u"EXANE S.A.", u"PARIS", u"EXANFRPPSAM"),
    (u"EXANE S.A.", u"PARIS", u"EXANFRPPSTO"),
    (u"EXANE S.A.", u"PARIS", u"EXANFRPP"),
    (u"FACTOBAIL", u"PARIS", u"FACIFRPP"),
    (u"FAIVELEY TRANSPORT SA", u"SAINT DENIS", u"LEYTFR22"),
    (u"FAURECIA", u"NANTERRE", u"FAURFRPP"),
    (u"FBN BANK UK LTD", u"PARIS", u"FBNIFRPP"),
    (u"FDI FRANCE", u"LA MOTTE-SERVOLEX", u"FDFRFR22"),
    (u"FINANCIERE BOURBON", u"MARSEILLE", u"FGBBFR2M"),
    (u"FINANCIERE D'UZES", u"PARIS", u"UZESFRCP"),
    (u"FONCIERES DES REGIONS", u"METZ", u"FDREFR22"),
    (u"FRANSABANK FRANCE S.A.", u"PARIS", u"FRAFFRPP"),
    (u"FROMAGERIES BEL", u"PARIS", u"FBELFRPP"),
    (u"GDF SUEZ", u"PARIS", u"GSZGFRPP"),
    (u"GE CORPORATE FINANCE BANK", u"PARIS", u"CRFAFRPP"),
    (u"GE FACTOFRANCE", u"PARIS", u"FACFFRPP"),
    (u"GE MONEY BANK SCA", u"PARIS", u"MOEYFRPPMON"),
    (u"GE MONEY BANK SCA", u"PARIS", u"MOEYFRPP"),
    (u"GEMALTO TREASURY SERVICES", u"MEUDON", u"GMTOFR22"),
    (u"GENERALI FRANCE", u"PARIS", u"GEFCFRPA"),
    (u"GIE AXA FRANCE", u"PARIS", u"AXAFFRPP"),
    (u"GLOBAL EQUITIES", u"PARIS", u"GLEQFRPA"),
    (u"GOLDMAN SACHS PARIS INC. ET CIE", u"PARIS", u"GOLDFRPP"),
    (u"GROUPAMA ASSET MANAGEMENT", u"PARIS", u"GPAMFRPP"),
    (u"GROUPAMA BANQUE", u"MONTREUIL", u"GPBAFRPP"),
    (u"GROUPE ARNAULT", u"PARIS", u"GPANFRPP"),
    (u"GROUPE AUCHAN", u"CROIX", u"AUCHFR22"),
    (u"GROUPE HENNER", u"PARIS", u"HENNFRPP"),
    (u"GROUPE STERIA SCA", u"ISSY LES MOULINEAUX", u"STERFR22"),
    (u"GUY DAUPHIN ENVIRONNEMENT", u"ROCQUANCOURT", u"ECORFR22"),
    (u"HABIB BANK LIMITED", u"PARIS", u"HABBFRPP"),
    (u"HERMES INTERNATIONAL", u"PARIS", u"HRMSFRPP"),
    (u"HSBC BANK PLC", u"PARIS", u"MIDLFRCP"),
    (u"HSBC BANK PLC", u"PARIS", u"MIDLFRCP111"),
    (u"HSBC BANK PLC", u"PARIS", u"MIDLFRCP222"),
    (u"HSBC BANK PLC", u"PARIS", u"MIDLFRPX"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"ARRAS", u"CCFRFRPP330"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"BORDEAUX", u"CCFRFRPP120"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"CANNES", u"CCFRFRPP222"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"DIJON", u"CCFRFRPP320"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"GRASSE", u"CCFRFRPP224"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"GRENOBLE", u"CCFRFRPP280"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"LE HAVRE", u"CCFRFRPP140"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"LILLE", u"CCFRFRPP150"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"LYON", u"CCFRFRPP170"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"MARSEILLE", u"CCFRFRPP209"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"MULHOUSE", u"CCFRFRPP210"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"NANCY", u"CCFRFRPP310"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"NICE", u"CCFRFRPP220"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPP030"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPP024"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPPNTX"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPPSWT"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPPSDD"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPP040"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPP050"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"PARIS", u"CCFRFRPP"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"ROUBAIX", u"CCFRFRPP151"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"RUNGIS", u"CCFRFRPP089"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"STRASBOURG", u"CCFRFRPP260"),
    (u"HSBC FRANCE (FORMERLY HSBC CCF),", u"TOURCOING", u"CCFRFRPP152"),
    (u"HSBC GLOBAL ASSET MANAGEMENT FRANCE (FORMERLY HSBC ASSET MANAGEMENT (EUROPE), SA", u"PUTEAUX", u"HAMFFRPP"),
    (u"HSBC GLOBAL ASSET MANAGEMENT FRANCE (FORMERLY SINOPIA ASSET MANAGEMENT),", u"PARIS", u"SAMFFRPP"),
    (u"ID VALEURS", u"ROUBAIX", u"IDVAFR22"),
    (u"IMERYS SA", u"PARIS", u"IMERFRPP"),
    (u"INDUSTRIAL AND COMMERCIAL BANK OF CHINA PARIS BRANCH", u"PARIS", u"ICBKFRPP"),
    (u"ING BELGIUM S.A., SUCCURSALE EN FRANCE", u"PARIS", u"INGBFRPP"),
    (u"INGENICO", u"NEUILLY SUR SEINE", u"IGENFR22"),
    (u"INTER EUROPE CONSEIL", u"PARIS", u"INELFRPP"),
    (u"INTER PARFUMS S.A", u"PARIS", u"IPARFRPP"),
    (u"INTERPOL SERVICE FINANCIER", u"LYON", u"ICPOFR22"),
    (u"INTESA SANPAOLO SPA", u"PARIS", u"BCITFRPP"),
    (u"INVESCO GESTION", u"PARIS", u"INVZFRPPIPE"),
    (u"INVESCO GESTION", u"PARIS", u"INVZFRPPMDO"),
    (u"INVESCO GESTION", u"PARIS", u"INVZFRPP"),
    (u"IPSEN", u"PARIS", u"IPSNFRPP"),
    (u"IPSOS", u"PARIS", u"IPSOFRPP"),
    (u"ISBANK AG", u"PARIS", u"ISBKFRPP"),
    (u"IXIS ASSET MANAGEMENT", u"PARIS", u"IXIAFRPP"),
    (u"JC DECAUX SA", u"NEUILLY SUR SEINE", u"JCDXFR22"),
    (u"JPMORGAN CHASE BANK, N.A.", u"PARIS", u"CHASFRPPGMO"),
    (u"JPMORGAN CHASE BANK, N.A.", u"PARIS", u"CHASFRPPPCG"),
    (u"JPMORGAN CHASE BANK, N.A.", u"PARIS", u"CHASFRPPENQ"),
    (u"JPMORGAN CHASE BANK, N.A.", u"PARIS", u"CHASFRPPKEY"),
    (u"JPMORGAN CHASE BANK, N.A.", u"PARIS", u"CHASFRPB"),
    (u"JPMORGAN CHASE BANK, N.A.", u"PARIS", u"CHASFRPP"),
    (u"KBC BANK NV PARIS", u"PARIS", u"KREDFRPP"),
    (u"KBC BANK NV PARIS", u"PARIS", u"KREDFRPP416"),
    (u"KBL RICHELIEU BANQUE PRIVEE", u"PARIS", u"KBLXFRPP"),
    (u"KEPLER CAPITAL MARKETS", u"PARIS", u"JBBRFRPP"),
    (u"KOREA EXCHANGE BANK", u"PARIS", u"KOEXFRPP"),
    (u"LA BANQUE POSTALE", u"AJACCIO", u"PSSTFRPPAJA"),
    (u"LA BANQUE POSTALE", u"BORDEAUX", u"PSSTFRPPBOR"),
    (u"LA BANQUE POSTALE", u"CHALONS EN CHAMPAGNE", u"PSSTFRPPCHA"),
    (u"LA BANQUE POSTALE", u"CLERMONT FERRAND", u"PSSTFRPPCLE"),
    (u"LA BANQUE POSTALE", u"DIJON", u"PSSTFRPPDIJ"),
    (u"LA BANQUE POSTALE", u"GRENOBLE", u"PSSTFRPPGRE"),
    (u"LA BANQUE POSTALE", u"LILLE", u"PSSTFRPPLIL"),
    (u"LA BANQUE POSTALE", u"LIMOGES", u"PSSTFRPPLIM"),
    (u"LA BANQUE POSTALE", u"LYON", u"PSSTFRPPLYO"),
    (u"LA BANQUE POSTALE", u"MARSEILLE", u"PSSTFRPPMAR"),
    (u"LA BANQUE POSTALE", u"MONTPELLIER", u"PSSTFRPPMON"),
    (u"LA BANQUE POSTALE", u"NANCY", u"PSSTFRPPNCY"),
    (u"LA BANQUE POSTALE", u"NANTES", u"PSSTFRPPNTE"),
    (u"LA BANQUE POSTALE", u"ORLEANS", u"PSSTFRPPSCE"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPCNE"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPBTE"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPCAY"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPFDF"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPPAR"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPSDR"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPTRE"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPP"),
    (u"LA BANQUE POSTALE", u"PARIS", u"PSSTFRPPCCB"),
    (u"LA BANQUE POSTALE", u"RENNES", u"PSSTFRPPREN"),
    (u"LA BANQUE POSTALE", u"ROUEN", u"PSSTFRPPROU"),
    (u"LA BANQUE POSTALE", u"STRASBOURG", u"PSSTFRPPSTR"),
    (u"LA BANQUE POSTALE", u"TOULOUSE", u"PSSTFRPPTOU"),
    (u"LA BANQUE POSTALE ASSET MANAGEMENT", u"PARIS", u"LBGAFRPP"),
    (u"LA COMPAGNIE FINANCIERE ED. DE ROTHSCHILD BANQUE", u"PARIS", u"COFIFRCP"),
    (u"LABCO GESTION GIE", u"PARIS", u"LAGEFRPP"),
    (u"LAFARGE SA", u"PARIS", u"LAFAFRPP"),
    (u"LAGARDERE UNLIMITED", u"BOULOGNE BILLANCOURT", u"LGSPFRPP"),
    (u"LAMINES MARCHANDS EUROPEENS", u"TRITH SAINT LEGER", u"LMEFFR22"),
    (u"LAZARD FRERES BANQUE", u"PARIS", u"LAZPFRCC"),
    (u"LAZARD FRERES BANQUE", u"PARIS", u"LAZPFRPP"),
    (u"LAZARD FRERES GESTION", u"PARIS", u"LAFGFRPP"),
    (u"LEGRAND FRANCE SA", u"LIMOGES", u"LEGDFR2L"),
    (u"LOMBARD ODIER DARIER HENTSCH AND CIE (FRANCE), SA", u"PARIS", u"LOCYFRPPNDP"),
    (u"LOMBARD ODIER DARIER HENTSCH AND CIE (FRANCE), SA", u"PARIS", u"LOCYFRPP"),
    (u"L'OREAL", u"CLICHY", u"LORHFRPP"),
    (u"LOUIS DREYFUS ARMATEURS", u"SURESNES", u"LDARFR22"),
    (u"LOXAM HOLDING", u"LORIENT", u"LOXAFR2X"),
    (u"LVMH - MOET HENNESSY LOUIS VUITTON", u"PARIS", u"LVMHFRPP"),
    (u"LYRECO SAS", u"MARLY", u"LYREFR22"),
    (u"LYXOR ASSET MANAGEMENT", u"PARIS", u"LAMXFRPP"),
    (u"LYXOR INTERNATIONAL ASSET MANAGEMENT", u"PARIS", u"LIMXFRPP"),
    (u"MAUBOUSSIN", u"PARIS", u"MAUBFRPP"),
    (u"MCBRIDE SAS", u"LEVALLOIS PERRET", u"MCBRFRPP"),
    (u"MEGA INTERNATIONAL COMMERCIAL BANK CO. LTD.", u"PARIS", u"ICBCFRPP"),
    (u"MERCEDES-BENZ FINANCIAL SERVICES", u"BAILLY", u"DFSDFR22"),
    (u"METROPOLE GESTION", u"PARIS", u"METGFRP2"),
    (u"MIRABAUD GESTION SA", u"PARIS", u"MIRAFRPP"),
    (u"MIZUHO BANK, LTD. PARIS BRANCH", u"PARIS", u"MHCBFRPPTGT"),
    (u"MIZUHO BANK, LTD. PARIS BRANCH", u"PARIS", u"MHCBFRPP"),
    (u"MOBILIS", u"ROUBAIX", u"MOISFR22"),
    (u"MOBSAT", u"PARIS", u"VIZAFRPP"),
    (u"MONABANQ.", u"WASQUEHAL", u"MONNFR22"),
    (u"MONTE PASCHI BANQUE S.A.", u"PARIS", u"MONTFRPP"),
    (u"MORGAN STANLEY AND CO INTERNATIONAL PLC SUCCURSALE DE PARIS", u"PARIS", u"MSFRFRCP"),
    (u"MPO INTERNATIONAL", u"AVERTON", u"MPOGFR22"),
    (u"MTS FRANCE SAS", u"PARIS", u"FMTSFRPP"),
    (u"NAMCO BANDAI GAMES EUROPE SAS", u"CERGY PONTOISE", u"NBAAFR22"),
    (u"NATIONAL BANK OF ABU DHABI", u"PARIS", u"NBADFRPPBDF"),
    (u"NATIONAL BANK OF ABU DHABI", u"PARIS", u"NBADFRPPTFO"),
    (u"NATIONAL BANK OF ABU DHABI", u"PARIS", u"NBADFRPP"),
    (u"NATIONAL BANK OF KUWAIT (INTERNATIONAL), PLC, PARIS BRANCH", u"PARIS", u"NBOKFRPP"),
    (u"NATIONAL BANK OF PAKISTAN", u"PARIS", u"NBPAFRPP"),
    (u"NATIXIS", u"PARIS", u"NATXFRPPDBO"),
    (u"NATIXIS", u"PARIS", u"NATXFRPPMAR"),
    (u"NATIXIS", u"PARIS", u"NATXFRPPBPS"),
    (u"NATIXIS", u"PARIS", u"NATXFRPPTIT"),
    (u"NATIXIS", u"PARIS", u"NATXFRPPFMP"),
    (u"NATIXIS", u"PARIS", u"NATXFRPPPAI"),
    (u"NATIXIS", u"PARIS", u"NATXFRPP"),
    (u"NATIXIS GLOBAL ASSET MANAGEMENT SA", u"PARIS", u"NGAAFRPP"),
    (u"NATIXIS SECURITIES", u"PARIS", u"IXIRFRPP"),
    (u"NATUREX", u"AVIGNON", u"NTRXFR2A"),
    (u"ODDO ET CIE", u"PARIS", u"ODDOFRPA"),
    (u"ODDO ET CIE", u"PARIS", u"ODDOFRPPBKO"),
    (u"ODDO ET CIE", u"PARIS", u"ODDOFRPPFEC"),
    (u"ODDO ET CIE", u"PARIS", u"ODDOFRPPOAM"),
    (u"ODDO ET CIE", u"PARIS", u"ODDOFRPPOCO"),
    (u"ODDO ET CIE", u"PARIS", u"ODDOFRPPOOP"),
    (u"ODDO ET CIE", u"PARIS", u"ODDOFRPP"),
    (u"ODDO ET CIE ENTREPRISE D'INVESTISSEMENT", u"PARIS", u"ODDOFRCP"),
    (u"ORANGE SA", u"PARIS", u"FTELFRPP"),
    (u"OSEO S.A", u"MAISONS ALFORT", u"CPMEFRPP"),
    (u"OTV SA", u"SAINT MAURICE", u"OTVSFR22"),
    (u"PAREL", u"PARIS", u"PAREFRPPCCL"),
    (u"PAREL", u"PARIS", u"PAREFRPPGDU"),
    (u"PAREL", u"PARIS", u"PAREFRPPCIB"),
    (u"PAREL", u"PARIS", u"PAREFRPP"),
    (u"PERNOD RICARD", u"PARIS", u"PRGRFRPP"),
    (u"PICTET AND CIE (EUROPE), S.A. SUCCURSALE DE PARIS", u"PARIS", u"PICTFRPP"),
    (u"PICTET AND CIE (EUROPE), S.A. SUCCURSALE DE PARIS", u"PARIS", u"PICTFRPPROB"),
    (u"PIERRE FABRE SA", u"PARIS", u"PFSBFRPP"),
    (u"PPR FINANCE", u"PARIS", u"PPRFFRPP"),
    (u"PROCAPITAL SA", u"PARIS", u"PROCFRPPPCB"),
    (u"PROCAPITAL SA", u"PARIS", u"PROCFRPP"),
    (u"PROMOD SAS", u"MARCQ EN BAROEUL", u"PROMFR22"),
    (u"PUBLICIS FINANCE SERVICES SA", u"PARIS", u"PUBGFRPP"),
    (u"QATAR NATIONAL BANK", u"PARIS", u"QNBAFRPP"),
    (u"RABOBANK SUCCURSALE DE PARIS", u"PARIS", u"RABOFRPP"),
    (u"RBC EUROPE LIMITED PARIS BRANCH", u"PARIS", u"ROYCFRPP"),
    (u"RBC INVESTOR SERVICES BANK FRANCE S.A.", u"PARIS", u"DISFFRPPMOD"),
    (u"RBC INVESTOR SERVICES BANK FRANCE S.A.", u"PARIS", u"DISFFRPPINV"),
    (u"RBC INVESTOR SERVICES BANK FRANCE S.A.", u"PARIS", u"DISFFRPP"),
    (u"RCIBANQUE S.A.", u"NOISY LE GRAND", u"RCINFRPP"),
    (u"RENTABILIWEB EUROPE", u"LEVALLOIS PERRET", u"RWEBFRPP"),
    (u"RESEAU DE TRANSPORT D'ELECTRICITE", u"PARIS", u"RTEFFRPP"),
    (u"RESEAU FERRE DE FRANCE", u"PARIS", u"RFFRFRPP"),
    (u"REXEL DEVELOPPEMENT SAS", u"PARIS", u"REXLFRPP"),
    (u"REXEL SA", u"PARIS", u"REXSFRPP"),
    (u"ROBERTET SA", u"GRASSE", u"ROBTFR22"),
    (u"ROTHSCHILD AND CIE BANQUE", u"PARIS", u"RCBPFRPR"),
    (u"ROTHSCHILD AND CIE BANQUE", u"PARIS", u"RCBPFRPP"),
    (u"SAARLB FRANCE", u"METZ", u"SALAFR2M"),
    (u"SAFRAN", u"PARIS", u"SFRAFRPP"),
    (u"SAINT GOBAIN EMBALLAGE", u"PARIS", u"VERAFRPP"),
    (u"SAMSIC", u"CESSON SEVIGNE", u"SAMSFR22"),
    (u"SANOFI-AVENTIS SA", u"PARIS", u"SAAVFRPP"),
    (u"SAS LE CREUSET", u"FRESNOY LE GRAND", u"SATEFR22"),
    (u"SCOR GLOBAL INVESTMENTS", u"PARIS", u"SCGIFRPP"),
    (u"SCOR SE", u"PARIS", u"SCTYFRPP"),
    (u"SEB S.A.", u"ECULLY", u"SKSAFR22"),
    (u"SELECTION DISC ORGANISATION", u"DOMLOUP", u"SEDRFR22"),
    (u"SG SECURITIES PARIS (SAS),", u"PARIS", u"SGSPFRPP"),
    (u"SGSS FAS", u"PARIS", u"EUVLFRPP"),
    (u"SIG FRANCE SAS", u"ALIZAY", u"SIGFFR2A"),
    (u"SNCF INTERSERVICES", u"PARIS", u"SNINFRPP"),
    (u"SOCIETE BIC", u"CLICHY", u"SOBCFR2P"),
    (u"SOCIETE CENTRALE DE CREDIT MARITIME MUTUEL", u"PARIS", u"CCBPFRPPMRT"),
    (u"SOCIETE DE FINANCEMENT LOCAL", u"COURBEVOIE", u"SFILFRPP"),
    (u"SOCIETE D'IMPORTATION LECLERC SIPLEC", u"IVRY-SUR-SEINE", u"SILEFRPP"),
    (u"SOCIETE GENERALE", u"AGEN", u"SOGEFRPPAGE"),
    (u"SOCIETE GENERALE", u"AIX EN PROVENCE", u"SOGEFRPPAXP"),
    (u"SOCIETE GENERALE", u"AJACCIO", u"SOGEFRPPAJA"),
    (u"SOCIETE GENERALE", u"ALBI", u"SOGEFRPPALB"),
    (u"SOCIETE GENERALE", u"ALENCON", u"SOGEFRPPALN"),
    (u"SOCIETE GENERALE", u"ALES", u"SOGEFRPPALE"),
    (u"SOCIETE GENERALE", u"AMIENS", u"SOGEFRPPAMI"),
    (u"SOCIETE GENERALE", u"ANGERS", u"SOGEFRPPAGS"),
    (u"SOCIETE GENERALE", u"ANGOULEME", u"SOGEFRPPANG"),
    (u"SOCIETE GENERALE", u"ANNECY", u"SOGEFRPPANY"),
    (u"SOCIETE GENERALE", u"ANNEMASSE", u"SOGEFRPPANS"),
    (u"SOCIETE GENERALE", u"ANTIBES", u"SOGEFRPPANT"),
    (u"SOCIETE GENERALE", u"ARCACHON", u"SOGEFRPPARC"),
    (u"SOCIETE GENERALE", u"ARGENTEUIL", u"SOGEFRPPAGT"),
    (u"SOCIETE GENERALE", u"ARLES", u"SOGEFRPPARL"),
    (u"SOCIETE GENERALE", u"ARMENTIERES", u"SOGEFRPPARM"),
    (u"SOCIETE GENERALE", u"ARRAS", u"SOGEFRPPARR"),
    (u"SOCIETE GENERALE", u"ASNIERES SUR SEINE", u"SOGEFRPPASN"),
    (u"SOCIETE GENERALE", u"AUBERVILLIERS", u"SOGEFRPPAUB"),
    (u"SOCIETE GENERALE", u"AURILLAC", u"SOGEFRPPAUR"),
    (u"SOCIETE GENERALE", u"AUXERRE", u"SOGEFRPPAUX"),
    (u"SOCIETE GENERALE", u"AVIGNON", u"SOGEFRPPAVI"),
    (u"SOCIETE GENERALE", u"BAR LE DUC", u"SOGEFRPPBLD"),
    (u"SOCIETE GENERALE", u"BASTIA", u"SOGEFRPPBAS"),
    (u"SOCIETE GENERALE", u"BAYONNE", u"SOGEFRPPBAY"),
    (u"SOCIETE GENERALE", u"BEAUMONT SUR OISE", u"SOGEFRPPBSO"),
    (u"SOCIETE GENERALE", u"BEAUNE", u"SOGEFRPPBEA"),
    (u"SOCIETE GENERALE", u"BEAUVAIS", u"SOGEFRPPBEV"),
    (u"SOCIETE GENERALE", u"BELFORT", u"SOGEFRPPBEF"),
    (u"SOCIETE GENERALE", u"BESANCON", u"SOGEFRPPBES"),
    (u"SOCIETE GENERALE", u"BETHUNE", u"SOGEFRPPBET"),
    (u"SOCIETE GENERALE", u"BEZIERS", u"SOGEFRPPBEZ"),
    (u"SOCIETE GENERALE", u"BLOIS", u"SOGEFRPPBLO"),
    (u"SOCIETE GENERALE", u"BOBIGNY", u"SOGEFRPPBOB"),
    (u"SOCIETE GENERALE", u"BONDY", u"SOGEFRPPBON"),
    (u"SOCIETE GENERALE", u"BORDEAUX", u"SOGEFRPPBOI"),
    (u"SOCIETE GENERALE", u"BORDEAUX", u"SOGEFRPPBOP"),
    (u"SOCIETE GENERALE", u"BOULOGNE BILLANCOURT", u"SOGEFRPPOUE"),
    (u"SOCIETE GENERALE", u"BOULOGNE BILLANCOURT", u"SOGEFRPPBIL"),
    (u"SOCIETE GENERALE", u"BOULOGNE BILLANCOURT", u"SOGEFRPPBSS"),
    (u"SOCIETE GENERALE", u"BOULOGNE SUR MER", u"SOGEFRPPBSM"),
    (u"SOCIETE GENERALE", u"BOURG EN BRESSE", u"SOGEFRPPBEB"),
    (u"SOCIETE GENERALE", u"BOURG LA REINE", u"SOGEFRPPBLR"),
    (u"SOCIETE GENERALE", u"BOURGES", u"SOGEFRPPBOU"),
    (u"SOCIETE GENERALE", u"BOURGOIN JALLIEU", u"SOGEFRPPBOJ"),
    (u"SOCIETE GENERALE", u"BREST", u"SOGEFRPPBRE"),
    (u"SOCIETE GENERALE", u"BRIVE LA GAILLARDE", u"SOGEFRPPBRI"),
    (u"SOCIETE GENERALE", u"BRUNOY", u"SOGEFRPPBRU"),
    (u"SOCIETE GENERALE", u"CAEN", u"SOGEFRPPCAE"),
    (u"SOCIETE GENERALE", u"CALAIS", u"SOGEFRPPCAL"),
    (u"SOCIETE GENERALE", u"CAMBRAI", u"SOGEFRPPCAM"),
    (u"SOCIETE GENERALE", u"CANNES", u"SOGEFRPPCAN"),
    (u"SOCIETE GENERALE", u"CARCASSONNE", u"SOGEFRPPCAR"),
    (u"SOCIETE GENERALE", u"CARPENTRAS", u"SOGEFRPPCAT"),
    (u"SOCIETE GENERALE", u"CAUDRY", u"SOGEFRPPCAU"),
    (u"SOCIETE GENERALE", u"CAVAILLON", u"SOGEFRPPCAV"),
    (u"SOCIETE GENERALE", u"CERGY PONTOISE", u"SOGEFRPPCGY"),
    (u"SOCIETE GENERALE", u"CHALON SUR SAONE", u"SOGEFRPPCSS"),
    (u"SOCIETE GENERALE", u"CHALONS EN CHAMPAGNE", u"SOGEFRPPCSM"),
    (u"SOCIETE GENERALE", u"CHAMBERY", u"SOGEFRPPCHY"),
    (u"SOCIETE GENERALE", u"CHARLEVILLE MEZIERES", u"SOGEFRPPCHM"),
    (u"SOCIETE GENERALE", u"CHARTRES", u"SOGEFRPPCHS"),
    (u"SOCIETE GENERALE", u"CHATEAU THIERRY", u"SOGEFRPPCHT"),
    (u"SOCIETE GENERALE", u"CHATEAUROUX", u"SOGEFRPPCHX"),
    (u"SOCIETE GENERALE", u"CHATOU", u"SOGEFRPPCHA"),
    (u"SOCIETE GENERALE", u"CHERBOURG", u"SOGEFRPPCHE"),
    (u"SOCIETE GENERALE", u"CLERMONT FERRAND", u"SOGEFRPPCLF"),
    (u"SOCIETE GENERALE", u"CLICHY", u"SOGEFRPPCLI"),
    (u"SOCIETE GENERALE", u"COGNAC", u"SOGEFRPPCOG"),
    (u"SOCIETE GENERALE", u"COMPIEGNE", u"SOGEFRPPCOM"),
    (u"SOCIETE GENERALE", u"CONFLANS SAINTE HONORINE", u"SOGEFRPPCSH"),
    (u"SOCIETE GENERALE", u"COURBEVOIE", u"SOGEFRPPCIG"),
    (u"SOCIETE GENERALE", u"COURBEVOIE", u"SOGEFRPPDSE"),
    (u"SOCIETE GENERALE", u"CREIL", u"SOGEFRPPCRE"),
    (u"SOCIETE GENERALE", u"CREPY EN VALOIS", u"SOGEFRPPCEV"),
    (u"SOCIETE GENERALE", u"CRETEIL", u"SOGEFRPPCRT"),
    (u"SOCIETE GENERALE", u"DAX", u"SOGEFRPPDAX"),
    (u"SOCIETE GENERALE", u"DIEPPE", u"SOGEFRPPDIE"),
    (u"SOCIETE GENERALE", u"DIGOIN", u"SOGEFRPPDIG"),
    (u"SOCIETE GENERALE", u"DIJON", u"SOGEFRPPDIJ"),
    (u"SOCIETE GENERALE", u"DOUAI", u"SOGEFRPPDOU"),
    (u"SOCIETE GENERALE", u"DRAGUIGNAN", u"SOGEFRPPDRA"),
    (u"SOCIETE GENERALE", u"DREUX", u"SOGEFRPPDRX"),
    (u"SOCIETE GENERALE", u"DUNKERQUE", u"SOGEFRPPDUN"),
    (u"SOCIETE GENERALE", u"ELBEUF", u"SOGEFRPPELB"),
    (u"SOCIETE GENERALE", u"EPERNAY", u"SOGEFRPPEPY"),
    (u"SOCIETE GENERALE", u"EPINAL", u"SOGEFRPPEPI"),
    (u"SOCIETE GENERALE", u"ETAMPES", u"SOGEFRPPETA"),
    (u"SOCIETE GENERALE", u"EVREUX", u"SOGEFRPPEVX"),
    (u"SOCIETE GENERALE", u"EVRY", u"SOGEFRPPEVR"),
    (u"SOCIETE GENERALE", u"FERNEY VOLTAIRE", u"SOGEFRPPFEV"),
    (u"SOCIETE GENERALE", u"FOIX", u"SOGEFRPPFOX"),
    (u"SOCIETE GENERALE", u"FONTAINEBLEAU", u"SOGEFRPPFON"),
    (u"SOCIETE GENERALE", u"FONTENAY SOUS BOIS", u"SOGEFRPPGAR"),
    (u"SOCIETE GENERALE", u"FONTENAY SOUS BOIS", u"SOGEFRPPFBM"),
    (u"SOCIETE GENERALE", u"FONTENAY SOUS BOIS", u"SOGEFRPPHRS"),
    (u"SOCIETE GENERALE", u"FONTENAY SOUS BOIS", u"SOGEFRPPTPB"),
    (u"SOCIETE GENERALE", u"FONTENAY SOUS BOIS", u"SOGEFRPPST2"),
    (u"SOCIETE GENERALE", u"GRANVILLE", u"SOGEFRPPGRA"),
    (u"SOCIETE GENERALE", u"GRASSE", u"SOGEFRPPGRS"),
    (u"SOCIETE GENERALE", u"GRAULHET", u"SOGEFRPPGRL"),
    (u"SOCIETE GENERALE", u"GRENOBLE", u"SOGEFRPPGRM"),
    (u"SOCIETE GENERALE", u"GRENOBLE", u"SOGEFRPPGVH"),
    (u"SOCIETE GENERALE", u"HOUILLES", u"SOGEFRPPHOU"),
    (u"SOCIETE GENERALE", u"HYERES", u"SOGEFRPPHYE"),
    (u"SOCIETE GENERALE", u"ISSY LES MOULINEAUX", u"SOGEFRPPILM"),
    (u"SOCIETE GENERALE", u"IVRY-SUR-SEINE", u"SOGEFRPPIVS"),
    (u"SOCIETE GENERALE", u"JUVISY SUR ORGE", u"SOGEFRPPJSO"),
    (u"SOCIETE GENERALE", u"LA REOLE", u"SOGEFRPPLRE"),
    (u"SOCIETE GENERALE", u"LA ROCHE SUR YON", u"SOGEFRPPLRY"),
    (u"SOCIETE GENERALE", u"LA ROCHELLE", u"SOGEFRPPLRO"),
    (u"SOCIETE GENERALE", u"LANGON", u"SOGEFRPPLGN"),
    (u"SOCIETE GENERALE", u"LAON", u"SOGEFRPPLAO"),
    (u"SOCIETE GENERALE", u"LAVAL", u"SOGEFRPPLAV"),
    (u"SOCIETE GENERALE", u"LE HAVRE", u"SOGEFRPPLHA"),
    (u"SOCIETE GENERALE", u"LE MANS", u"SOGEFRPPLEM"),
    (u"SOCIETE GENERALE", u"LE RAINCY", u"SOGEFRPPRAI"),
    (u"SOCIETE GENERALE", u"LENS", u"SOGEFRPPLEN"),
    (u"SOCIETE GENERALE", u"LES MUREAUX", u"SOGEFRPPLMX"),
    (u"SOCIETE GENERALE", u"LEVALLOIS PERRET", u"SOGEFRPPLEP"),
    (u"SOCIETE GENERALE", u"LIBOURNE", u"SOGEFRPPLIB"),
    (u"SOCIETE GENERALE", u"LILLE", u"SOGEFRPPLLM"),
    (u"SOCIETE GENERALE", u"LILLE", u"SOGEFRPPLIN"),
    (u"SOCIETE GENERALE", u"LIMOGES", u"SOGEFRPPLIM"),
    (u"SOCIETE GENERALE", u"LISIEUX", u"SOGEFRPPLIS"),
    (u"SOCIETE GENERALE", u"LONGJUMEAU", u"SOGEFRPPLGJ"),
    (u"SOCIETE GENERALE", u"LONGWY", u"SOGEFRPPLOG"),
    (u"SOCIETE GENERALE", u"LONS LE SAUNIER", u"SOGEFRPPLLS"),
    (u"SOCIETE GENERALE", u"LORIENT", u"SOGEFRPPLOR"),
    (u"SOCIETE GENERALE", u"LOURDES", u"SOGEFRPPLDS"),
    (u"SOCIETE GENERALE", u"LYON", u"SOGEFRPPLPA"),
    (u"SOCIETE GENERALE", u"LYON", u"SOGEFRPPLYE"),
    (u"SOCIETE GENERALE", u"LYON", u"SOGEFRPPLPD"),
    (u"SOCIETE GENERALE", u"LYON", u"SOGEFRPPLYO"),
    (u"SOCIETE GENERALE", u"LYON", u"SOGEFRPPLYP"),
    (u"SOCIETE GENERALE", u"MACON", u"SOGEFRPPMAN"),
    (u"SOCIETE GENERALE", u"MAISONS LAFFITTE", u"SOGEFRPPMAL"),
    (u"SOCIETE GENERALE", u"MALAKOFF", u"SOGEFRPPMON"),
    (u"SOCIETE GENERALE", u"MANTES LA JOLIE", u"SOGEFRPPMLJ"),
    (u"SOCIETE GENERALE", u"MARIGNANE", u"SOGEFRPPMRG"),
    (u"SOCIETE GENERALE", u"MARMANDE", u"SOGEFRPPMAR"),
    (u"SOCIETE GENERALE", u"MARSEILLE", u"SOGEFRPPMAC"),
    (u"SOCIETE GENERALE", u"MARSEILLE", u"SOGEFRPPMAP"),
    (u"SOCIETE GENERALE", u"MASSY", u"SOGEFRPPMPL"),
    (u"SOCIETE GENERALE", u"MAUBEUGE", u"SOGEFRPPMAU"),
    (u"SOCIETE GENERALE", u"MAZAMET", u"SOGEFRPPMAZ"),
    (u"SOCIETE GENERALE", u"MEAUX", u"SOGEFRPPMEX"),
    (u"SOCIETE GENERALE", u"MELUN", u"SOGEFRPPMEL"),
    (u"SOCIETE GENERALE", u"METZ", u"SOGEFRPPMTZ"),
    (u"SOCIETE GENERALE", u"MILLAU", u"SOGEFRPPMIL"),
    (u"SOCIETE GENERALE", u"MONT DE MARSAN", u"SOGEFRPPMDM"),
    (u"SOCIETE GENERALE", u"MONTARGIS", u"SOGEFRPPMTG"),
    (u"SOCIETE GENERALE", u"MONTAUBAN", u"SOGEFRPPMTB"),
    (u"SOCIETE GENERALE", u"MONTBELIARD", u"SOGEFRPPMOT"),
    (u"SOCIETE GENERALE", u"MONTELIMAR", u"SOGEFRPPMOR"),
    (u"SOCIETE GENERALE", u"MONTLUCON", u"SOGEFRPPMOC"),
    (u"SOCIETE GENERALE", u"MONTPELLIER", u"SOGEFRPPMOP"),
    (u"SOCIETE GENERALE", u"MOULINS SUR ALLIER", u"SOGEFRPPMSA"),
    (u"SOCIETE GENERALE", u"MULHOUSE", u"SOGEFRPPMUL"),
    (u"SOCIETE GENERALE", u"NANCY", u"SOGEFRPPNAY"),
    (u"SOCIETE GENERALE", u"NANTERRE", u"SOGEFRPPNAN"),
    (u"SOCIETE GENERALE", u"NANTES", u"SOGEFRPPEDE"),
    (u"SOCIETE GENERALE", u"NANTES", u"SOGEFRPPOPC"),
    (u"SOCIETE GENERALE", u"NANTES", u"SOGEFRPPISE"),
    (u"SOCIETE GENERALE", u"NANTES", u"SOGEFRPPBEN"),
    (u"SOCIETE GENERALE", u"NANTES", u"SOGEFRPPTIT"),
    (u"SOCIETE GENERALE", u"NANTES", u"SOGEFRPPNSL"),
    (u"SOCIETE GENERALE", u"NEUILLY SUR SEINE", u"SOGEFRPPNSS"),
    (u"SOCIETE GENERALE", u"NEVERS", u"SOGEFRPPNVS"),
    (u"SOCIETE GENERALE", u"NICE", u"SOGEFRPPNIO"),
    (u"SOCIETE GENERALE", u"NICE", u"SOGEFRPPNJM"),
    (u"SOCIETE GENERALE", u"NIMES", u"SOGEFRPPNMS"),
    (u"SOCIETE GENERALE", u"NIORT", u"SOGEFRPPNIT"),
    (u"SOCIETE GENERALE", u"NOYON", u"SOGEFRPPNOY"),
    (u"SOCIETE GENERALE", u"NUITS SAINT GEORGES", u"SOGEFRPPNUI"),
    (u"SOCIETE GENERALE", u"ORLEANS", u"SOGEFRPPORL"),
    (u"SOCIETE GENERALE", u"PANTIN", u"SOGEFRPPPAN"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPEXO"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPCEN"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPCOP"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPADB"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAFI"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAGI"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAG2"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBCK"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBMP"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPSGS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPEOM"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPCLS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPADI"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPEXT"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPPEE"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPFIN"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPGEN"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPGSS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPLUX"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPLDE"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPIBL"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPCBS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAOA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPOBA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPANB"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPRRC"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPABO"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBML"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAJC"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPCTE"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBXC"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPUCR"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBFD"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAED"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPWLF"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAZF"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAUG"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPGSG"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPALG"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAGK"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBMA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAKT"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPFMA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAMM"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPLPC"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPHPO"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPKPA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPJLH"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPRAS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBKR"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPRIG"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPGSM"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAFS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAPS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAIS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAXT"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPPVL"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPATV"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPTVI"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBLG"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPACF"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPSGA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPCBV"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPSGI"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBTC"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBTL"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPFIP"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPSGO"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPLMC"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPLMA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPLMB"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPASI"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPTCP"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPP"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPAMS"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBTI"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBTZ"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPBXL"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPEFK"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPFKT"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPHCM"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPMAD"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPMLA"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPMTL"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPPSZ"),
    (u"SOCIETE GENERALE", u"PARIS", u"SOGEFRPPTOK"),
    (u"SOCIETE GENERALE", u"PAU", u"SOGEFRPPPAU"),
    (u"SOCIETE GENERALE", u"PERIGUEUX", u"SOGEFRPPPRX"),
    (u"SOCIETE GENERALE", u"PERPIGNAN", u"SOGEFRPPPPG"),
    (u"SOCIETE GENERALE", u"POISSY", u"SOGEFRPPPOI"),
    (u"SOCIETE GENERALE", u"POITIERS", u"SOGEFRPPPOT"),
    (u"SOCIETE GENERALE", u"PUTEAUX", u"SOGEFRPPPUB"),
    (u"SOCIETE GENERALE", u"QUIMPER", u"SOGEFRPPQMP"),
    (u"SOCIETE GENERALE", u"REIMS", u"SOGEFRPPRIM"),
    (u"SOCIETE GENERALE", u"RENNES", u"SOGEFRPPREN"),
    (u"SOCIETE GENERALE", u"ROANNE", u"SOGEFRPPRON"),
    (u"SOCIETE GENERALE", u"RODEZ", u"SOGEFRPPRDZ"),
    (u"SOCIETE GENERALE", u"ROUBAIX", u"SOGEFRPPROX"),
    (u"SOCIETE GENERALE", u"ROUEN", u"SOGEFRPPROE"),
    (u"SOCIETE GENERALE", u"RUEIL MALMAISON", u"SOGEFRPPRUM"),
    (u"SOCIETE GENERALE", u"RUNGIS", u"SOGEFRPPRUH"),
    (u"SOCIETE GENERALE", u"SAINT BRIEUC", u"SOGEFRPPSTB"),
    (u"SOCIETE GENERALE", u"SAINT DENIS", u"SOGEFRPPSAD"),
    (u"SOCIETE GENERALE", u"SAINT DIE", u"SOGEFRPPSTD"),
    (u"SOCIETE GENERALE", u"SAINT DIZIER", u"SOGEFRPPSDZ"),
    (u"SOCIETE GENERALE", u"SAINT ETIENNE", u"SOGEFRPPSAE"),
    (u"SOCIETE GENERALE", u"SAINT ETIENNE", u"SOGEFRPPSTE"),
    (u"SOCIETE GENERALE", u"SAINT GERMAIN EN LAYE", u"SOGEFRPPSGL"),
    (u"SOCIETE GENERALE", u"SAINT LEU LA FORET", u"SOGEFRPPSLF"),
    (u"SOCIETE GENERALE", u"SAINT LO", u"SOGEFRPPSTL"),
    (u"SOCIETE GENERALE", u"SAINT MALO", u"SOGEFRPPSMR"),
    (u"SOCIETE GENERALE", u"SAINT MAUR DES FOSSES (LE PARC),", u"SOGEFRPPPSM"),
    (u"SOCIETE GENERALE", u"SAINT NAZAIRE", u"SOGEFRPPSTN"),
    (u"SOCIETE GENERALE", u"SAINT OMER", u"SOGEFRPPSTO"),
    (u"SOCIETE GENERALE", u"SAINT OUEN", u"SOGEFRPPSAO"),
    (u"SOCIETE GENERALE", u"SAINT QUENTIN", u"SOGEFRPPSTQ"),
    (u"SOCIETE GENERALE", u"SAINT QUENTIN EN YVELINES", u"SOGEFRPPSQY"),
    (u"SOCIETE GENERALE", u"SAINT RAPHAEL", u"SOGEFRPPSTR"),
    (u"SOCIETE GENERALE", u"SAINTE MAXIME", u"SOGEFRPPSTM"),
    (u"SOCIETE GENERALE", u"SALON DE PROVENCE", u"SOGEFRPPSDP"),
    (u"SOCIETE GENERALE", u"SANNOIS", u"SOGEFRPPSAN"),
    (u"SOCIETE GENERALE", u"SARTROUVILLE", u"SOGEFRPPSAT"),
    (u"SOCIETE GENERALE", u"SCEAUX", u"SOGEFRPPSCE"),
    (u"SOCIETE GENERALE", u"SENS", u"SOGEFRPPSEN"),
    (u"SOCIETE GENERALE", u"SETE", u"SOGEFRPPSET"),
    (u"SOCIETE GENERALE", u"SEVRES", u"SOGEFRPPSEV"),
    (u"SOCIETE GENERALE", u"SOISSONS", u"SOGEFRPPSOS"),
    (u"SOCIETE GENERALE", u"STRASBOURG", u"SOGEFRPPBRG"),
    (u"SOCIETE GENERALE", u"STRASBOURG", u"SOGEFRPPSTG"),
    (u"SOCIETE GENERALE", u"SURESNES", u"SOGEFRPPSUR"),
    (u"SOCIETE GENERALE", u"TARBES", u"SOGEFRPPTBS"),
    (u"SOCIETE GENERALE", u"THONON LES BAINS", u"SOGEFRPPTLB"),
    (u"SOCIETE GENERALE", u"TORCY", u"SOGEFRPPMLV"),
    (u"SOCIETE GENERALE", u"TOULON", u"SOGEFRPPTLN"),
    (u"SOCIETE GENERALE", u"TOULON", u"SOGEFRPPLAF"),
    (u"SOCIETE GENERALE", u"TOULOUSE", u"SOGEFRPPTLS"),
    (u"SOCIETE GENERALE", u"TOURCOING", u"SOGEFRPPTRG"),
    (u"SOCIETE GENERALE", u"TOURS", u"SOGEFRPPTOR"),
    (u"SOCIETE GENERALE", u"TROYES", u"SOGEFRPPTOY"),
    (u"SOCIETE GENERALE", u"VALENCE", u"SOGEFRPPVSR"),
    (u"SOCIETE GENERALE", u"VALENCIENNES", u"SOGEFRPPVAC"),
    (u"SOCIETE GENERALE", u"VANNES", u"SOGEFRPPVAN"),
    (u"SOCIETE GENERALE", u"VERNON", u"SOGEFRPPVER"),
    (u"SOCIETE GENERALE", u"VERSAILLES", u"SOGEFRPPVES"),
    (u"SOCIETE GENERALE", u"VICHY", u"SOGEFRPPVIC"),
    (u"SOCIETE GENERALE", u"VIERZON", u"SOGEFRPPVIZ"),
    (u"SOCIETE GENERALE", u"VILLEFRANCHE SUR SAONE", u"SOGEFRPPVSS"),
    (u"SOCIETE GENERALE", u"VILLENEUVE SUR LOT", u"SOGEFRPPVSL"),
    (u"SOCIETE GENERALE", u"VILLEPINTE", u"SOGEFRPPVPR"),
    (u"SOCIETE GENERALE", u"VILLEURBANNE", u"SOGEFRPPLYV"),
    (u"SOCIETE GENERALE", u"VINCENNES", u"SOGEFRPPVIN"),
    (u"SOCIETE GENERALE", u"VITROLLES", u"SOGEFRPPVTL"),
    (u"SOCIETE GENERALE", u"VOIRON", u"SOGEFRPPVOI"),
    (u"SOCIETE GENERALE SCF", u"PUTEAUX", u"GSCFFR22"),
    (u"SOCIETE GENERALE SFH", u"PARIS", u"GSFHFRPP"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"AIX EN PROVENCE", u"SMCTFR2AAIX"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"AVIGNON", u"SMCTFR2AAVI"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"BEZIERS", u"SMCTFR2ABZR"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"GRASSE", u"SMCTFR2AGRA"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"MARSEILLE", u"SMCTFR2AMAR"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"MARSEILLE", u"SMCTFR2A"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"MONTPELLIER", u"SMCTFR2AMPL"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"NICE", u"SMCTFR2ANIC"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"NIMES", u"SMCTFR2ANIM"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"ORANGE", u"SMCTFR2AORA"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"PERPIGNAN", u"SMCTFR2APER"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"SAINT TROPEZ", u"SMCTFR2ASTP"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"TOULON", u"SMCTFR2ATLN"),
    (u"SOCIETE MARSEILLAISE DE CREDIT", u"VALENCE", u"SMCTFR2AVAL"),
    (u"SOCRAM BANQUE", u"NIORT", u"SORMFR2N"),
    (u"SOFAX BANQUE", u"COURBEVOIE", u"SFAXFRPP"),
    (u"SOFAX BANQUE", u"PARIS", u"SFAXFRPPBDF"),
    (u"SOFIPROTEOL", u"PARIS", u"SOFRFRPP"),
    (u"SOITEC SA", u"BERNIN", u"SOECFR22"),
    (u"SONEPAR SA", u"PARIS", u"SONRFRPP"),
    (u"ST DUPONT", u"PARIS", u"STDPFRPP"),
    (u"STATE BANK OF INDIA, PARIS BRANCH", u"PARIS", u"SBINFRPP"),
    (u"STATE STREET BANQUE SA PARIS", u"PARIS", u"SBOSFRP2CTA"),
    (u"STATE STREET BANQUE SA PARIS", u"PARIS", u"SBOSFRP2TEC"),
    (u"STATE STREET BANQUE SA PARIS", u"PARIS", u"SBOSFRP2"),
    (u"STEELCASE SAS", u"STRASBOURG", u"SCSSFR22"),
    (u"STEF TFE", u"PARIS", u"TFEXFRPP"),
    (u"SUMITOMO MITSUI BANKING CORPORATION EUROPE LIMITED", u"PARIS", u"SMBCFRPPGEB"),
    (u"SUMITOMO MITSUI BANKING CORPORATION EUROPE LIMITED", u"PARIS", u"SMBCFRPP"),
    (u"SVENSKA HANDELSBANKEN AB", u"PARIS", u"HANDFRPP"),
    (u"SWISS LIFE ASSET MANAGEMENT (FRANCE),", u"PARIS", u"SLSAFRPP"),
    (u"SWISS LIFE ASSET MANAGEMENT (FRANCE),", u"PARIS", u"SLAMFRPP"),
    (u"SWISS LIFE ASSET MANAGEMENT (FRANCE),", u"PARIS", u"SLAMFRPPAMB"),
    (u"SWISSLIFE BANQUE PRIVEE", u"PARIS", u"SWILFRPPBDF"),
    (u"SWISSLIFE BANQUE PRIVEE", u"PARIS", u"SWILFRPP114"),
    (u"SWISSLIFE BANQUE PRIVEE", u"PARIS", u"SWILFRPP"),
    (u"SYLVE INVEST", u"VILLEPINTE", u"SIPFFR22"),
    (u"TEREOS", u"ORIGNY SAINTE-BENOITE", u"TEREFR22"),
    (u"TF1 SA", u"BOULOGNE BILLANCOURT", u"TFIXFR2B"),
    (u"THALES SA", u"NEUILLY SUR SEINE", u"TCSFFRPP"),
    (u"THE BANK OF NEW YORK MELLON SA/NV", u"PARIS", u"BNYMFRPP"),
    (u"THE ROYAL BANK OF SCOTLAND PLC FRANCE (FORMERLY KNOWN AS RBS NV),", u"PARIS", u"ABNAFRPP"),
    (u"THE ROYAL BANK OF SCOTLAND PLC PARIS BRANCH", u"PARIS", u"RBOSFRPP"),
    (u"TOTAL CAPITAL", u"PARIS", u"TOCAFRPP"),
    (u"TOTAL TREASURY", u"PARIS", u"TTREFRPP"),
    (u"TRANSALLIANCE SERVICE", u"NANCY", u"TSERFR22"),
    (u"TRANSATEL SA", u"PARIS", u"TSLFFRPP"),
    (u"TUNISIAN FOREIGN BANK", u"MARSEILLE", u"UTUBFRPPMAR"),
    (u"TUNISIAN FOREIGN BANK", u"PARIS", u"UTUBFRPPPYR"),
    (u"TUNISIAN FOREIGN BANK", u"PARIS", u"UTUBFRPPBEL"),
    (u"TUNISIAN FOREIGN BANK", u"PARIS", u"UTUBFRPP"),
    (u"TUNISIAN FOREIGN BANK", u"PARIS", u"UTUBFRPPBDF"),
    (u"UBS (FRANCE), SA", u"PARIS", u"UBSWFRPP"),
    (u"UFFI REAM", u"LEVALLOIS PERRET", u"UFFIFRPP"),
    (u"UNIBAIL-RODAMCO", u"PARIS", u"UNBDFRPP"),
    (u"UNICREDITO ITALIANO SPA - SUCCURSALE DE PARIS", u"PARIS", u"UNCRFRPP"),
    (u"UNILEC", u"IVRY-SUR-SEINE", u"UNLCFRPP"),
    (u"UNION DE BANQUES ARABES ET FRANCAISES", u"NEUILLY SUR SEINE", u"UBAFFRPP"),
    (u"UNITED BISCUITS", u"VERTOU", u"UNBUFR22"),
    (u"VALEO SA", u"PARIS", u"VAEOFRPP"),
    (u"VALLOUREC ET MANNESMANN TUBES", u"BOULOGNE BILLANCOURT", u"VLRCFR22"),
    (u"VEOLIA ENVIRONNEMENT SA", u"PARIS", u"VEOEFRPP"),
    (u"VETOQUINOL SA", u"LURE", u"VETOFR2L"),
    (u"VILMORIN ET CIE", u"PARIS", u"VCOMFRPP"),
    (u"VINCI CONSTRUCTION FRANCE", u"NANTERRE", u"VCFRFRPP"),
    (u"VINCI CONSTRUCTION GRANDS PROJETS", u"RUEIL MALMAISON", u"VCGPFR22"),
    (u"VINCI ENERGIES", u"MONTESSON", u"VESAFR22"),
    (u"VINCI HOLDING", u"RUEIL MALMAISON", u"VINCFRPP"),
    (u"VIVENDI", u"PARIS", u"VIVEFRPP"),
    (u"VTB BANK (FRANCE) S.A.", "PARIS", "EUROFRPP"),
    ("WINDHURST INDUSTRIES SAS", "PARIS", "WNDHFRPP"),
    ("YVES ROCHER", "ISSY LES MOULINEAUX", "YROCFRP"),
    ]



def RechercherBIC(bic=""):
    for nom, ville, bicTemp in LISTE_BIC :
        if bicTemp == bic :
            return (nom, ville)
    return None




if __name__ == "__main__":
    print RechercherBIC("VEOEFRPP")


