#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-
#-----------------------------------------------------------
# Application :    Noethys, gestion multi-activits
# Site internet :  www.noethys.com
# Auteur:           Ivan LUCAS
# Copyright:       (c) 2010-11 Ivan LUCAS
# Licence:         Licence GNU GPL
#-----------------------------------------------------------


DICT_TYPES_LIENS = {
    1 : { "M" : u"pre", "F" : u"mre", "public" : "A", "lien" : 2, "type" : "parent", "texte" : { "M" : u"est son pre", "F" : u"est sa mre"} },
    2 : { "M" : u"fils", "F" : u"fille", "public" : "E", "lien" : 1, "type" : "enfant", "texte" : { "M" : u"est son fils", "F" : u"est sa fille"} },
    
    3 : { "M" : u"frre", "F" : u"soeur", "public" : "AE", "lien" : 3, "type" : None, "texte" : { "M" : u"est son frre", "F" : u"est sa soeur"} },
    
    4 : { "M" : u"grand-pre", "F" : u"grand-mre", "public" : "A", "lien" : 5, "type" : None, "texte" : { "M" : u"est son grand-pre", "F" : u"est sa grand-mre"} },
    5 : { "M" : u"petit-fils", "F" : u"petite-fille", "public" : "E", "lien" : 4, "type" : None, "texte" : { "M" : u"est son petit-fils", "F" : u"est sa petite-fille"} },
    
    6 : { "M" : u"oncle", "F" : u"tante", "public" : "A", "lien" : 7, "type" : None, "texte" : { "M" : u"est son oncle", "F" : u"est sa tante"} },
    7 : { "M" : u"neveu", "F" : u"nice", "public" : "E", "lien" : 6, "type" : None, "texte" : { "M" : u"est son neveu", "F" : u"est sa nice"} },
    
##    8 : { "M" : u"parrain", "F" : u"marraine", "public" : "AE", "lien" : 9 },
##    9 : { "M" : u"filleul", "F" : u"filleule", "public" : "AE", "lien" : 8 },
    
    10 : { "M" : u"mari", "F" : u"femme", "public" : "A", "lien" : 10, "type" : "couple", "texte" : { "M" : u"est son mari", "F" : u"est sa femme"} },
    
    11 : { "M" : u"concubin", "F" : u"concubine", "public" : "A", "lien" : 11, "type" : "couple", "texte" : { "M" : u"est son concubin", "F" : u"est sa concubine"} },
    
    12 : { "M" : u"veuf", "F" : u"veuve", "public" : "A", "lien" : 12, "type" : "couple", "texte" : { "M" : u"est son veuf", "F" : u"est sa veuve"}},

    13 : { "M" : u"beau-pre", "F" : u"belle-mre", "public" : "A", "lien" : 14, "type" : None, "texte" : { "M" : u"est son beau-pre", "F" : u"est sa belle-mre"} },
    14 : { "M" : u"beau-fils", "F" : u"belle-fille", "public" : "E", "lien" : 13, "type" : None, "texte" : { "M" : u"est son beau-fils", "F" : u"est sa belle-fille"} },    
    
    15 : { "M" : u"pacs", "F" : u"pacse", "public" : "A", "lien" : 15, "type" : "couple", "texte" : { "M" : u"est son pacs", "F" : u"est sa pacse"} },
    
    16 : { "M" : u"ex-mari", "F" : u"ex-femme", "public" : "A", "lien" : 16, "type" : "ex-couple", "texte" : { "M" : u"est son ex-mari", "F" : u"est son ex-femme"} },
    
    17 : { "M" : u"ex-concubin", "F" : u"ex-concubine", "public" : "A", "lien" : 17, "type" : "ex-couple", "texte" : { "M" : u"est son ex-concubin", "F" : u"est son ex-concubine"} },
    
    18 : { "M" : u"tuteur", "F" : u"tutrice", "public" : "A", "lien" : 19, "type" : None, "texte" : { "M" : u"est son tuteur", "F" : u"est sa tutrice"} },
    19 : { "M" : u"sous sa tutelle", "F" : u"sous sa tutelle", "public" : "E", "lien" : 18, "type" : None, "texte" : { "M" : u"est sous sa tutelle", "F" : u"est sous sa tutelle"} },

    }


DICT_AUTORISATIONS = {
    1 : { "M" : u"Responsable lgal", "F" : u"Responsable lgale", "img" : "Responsable_legal.png"},
    2 : { "M" : u"Contacter en cas d'urgence", "F" : u"Contacter en cas d'urgence", "img" : "Telephone.png"},
    3 : { "M" : u"Raccompagnement autoris", "F" : u"Raccompagnement autoris", "img" : "Sortir.png"},
    4 : { "M" : u"Raccompagnement interdit", "F" : u"Raccompagnement interdit", "img" : "Interdit2.png"},
    }

